bacula (13.0.3-1) unstable; urgency=medium

  * Upload to unstable
  * Stop suggesting the installation of scsitools
  * Fix "make clean" (Closes: #1044124)

 -- Carsten Leonhardt <leo@debian.org>  Sat, 27 Jan 2024 17:43:46 +0100

bacula (13.0.3-1~exp+1) experimental; urgency=medium

  * New upstream version 13.0.3 (Closes: #997831)

  [ Carsten Leonhardt ]
  * Remove several patches applied upstream
  * Rework strategy to maintain dbconfig files (by hand for now)
  * fix pgsql upgrade script for 9.0.0, entries were doubled
  * fix all database upgrade instructions, the instructions were in there twice
  * Stop suggesting the installation of dds2tar
  * Apply spelling corrections from codespell on debian/*

  [ Sven Hartge ]
  * Refresh patches
  * Remove patches applied upstream:
   + fix-pkg-config-autoconf-macro
  * Add NEWS entry wrt. DB schema update and space requirements
  * Fix configure.in to work with autoconf2.71+
  * Fix Lintian warnings about renamed tags
  * Update to Debian Policy 4.6.0, no changes needed
  * Remove code to remove UCF temp files from upgrade to 9.0.7+dfsg-2
  * Remove manual -Wl,--as-needed linker flag, it is the default since Bullseye
  * Add context to Lintian tags that need them
  * Remove 2 obsolete maintscript entries in 2 files.
  * Manually add changes suggested by Debian Janitor
  * Override false-positive lintian tags
  * Change configure.in to use AC_PATH_TOOL to fix FTCBFS (Closes: #1009012)
  * Update DB extraction scripts to support 13.0.x
  * Update DB upgrade scripts for 13.0.x and DB version 1024
  * Refresh and update patches
  * Update DB installer to latest DB version 1024

 -- Carsten Leonhardt <leo@debian.org>  Wed, 24 Jan 2024 08:42:39 +0100

bacula (9.6.7-7) unstable; urgency=medium

  * Reupload with additional old form of one lintian override to pass
    ftp-master checks

 -- Carsten Leonhardt <leo@debian.org>  Tue, 07 Feb 2023 21:51:52 +0100

bacula (9.6.7-6) unstable; urgency=medium

  [ Sven Hartge ]
  * Fix lintian overrides to use correct tags

  [Helmut Grohne]
  * Fix finding libmysqlclient when cross building (Closes: #1019395)

  [ Carsten Leonhardt ]
  * Add configuration to needrestart so that Bacula daemons are not
    restarted by default, preventing the interruption of backup runs
  * Update Standards-Version to 4.6.2, no changes required.

 -- Carsten Leonhardt <leo@debian.org>  Tue, 07 Feb 2023 17:56:26 +0100

bacula (9.6.7-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Sven Hartge ]
  * Change configure.in to use AC_PATH_TOOL to fix FTCBFS (Closes: #1009012)
    Thanks to Helmut Grohne <helmut@subdivi.de> for finding and fixing
    the issue.

  [ Carsten Leonhardt ]
  * Update Standards-Version to 4.6.1, no changes required.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 30 May 2022 16:41:18 +0200

bacula (9.6.7-4) unstable; urgency=medium

  [ Sven Hartge ]
  * Fix configure.in to work with autoconf2.70+ (Closes: #997139)
  * Update to Debian Policy 4.6.0, no changes needed
  * Remove code to remove UCF temp files from upgrade to 9.0.7+dfsg-2
  * Remove Lintian ignore for no longer necessary tags
  * Remove manual -Wl,--as-needed linker flag, it is the default since Bullseye
  * Add context to Lintian tags that need them
  * Remove 2 obsolete maintscript entries in 2 files.
  * Remove bacula-sd.maintscript needed for upgrade from ancient version
  * Manually add changes suggested by Debian Janitor
  * Remove reminder about "as-needed" linker flag
  * Remove Homepages field from metadata, fixing Lintian warning

 -- Carsten Leonhardt <leo@debian.org>  Sat, 12 Mar 2022 10:43:43 +0100

bacula (9.6.7-3) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Update Standards-Version to 4.5.1, no changes required.

  [ Sven Hartge ]
  * Add upstream patch fixing a memory overflow access
  * Reorder patches in series to apply upstream patches first

 -- Carsten Leonhardt <leo@debian.org>  Sun, 31 Jan 2021 19:27:24 +0100

bacula (9.6.7-2) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Backport btraceback from 11.0.1 to improve btraceback output
    (Closes: #954971)

  [ Sven Hartge ]
  * Fix bug in database locking code causing concurrency problems
    and job failures by importing patch from https://bugs.gentoo.org/766195
    from Phil Stracchino <phils@caerllewys.net> and
     Martin Simmons <martin@lispworks.com>.

 -- Carsten Leonhardt <leo@debian.org>  Thu, 21 Jan 2021 23:30:02 +0100

bacula (9.6.7-1) unstable; urgency=high

  * New upstream version 9.6.7
   + Adds compatibility for MariaDB 10.5 (Closes: #975970)
   + Fixes sporadic deadlock issues with MariaDB
   + Fixes compile errors with GCC10

  [ Sven Hartge ]
  * Add rudimentary man-pages for b*json commands
  * Remove patches added upstream
   + fix-narrowing-magic-numbers
   + fix_en_AR.po_errors

  [ Debian Janitor ]
  * Fixing Lintian tags
   + Fix day-of-week for changelog entries 1.36.3-2, 1.34.6-1, 1.32f-5-3.1.
   + Use secure URI in Homepage field.

 -- Sven Hartge <sven@svenhartge.de>  Fri, 11 Dec 2020 12:46:12 +0100

bacula (9.6.6-2) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Add patch to fix errors in po/en_AR.po Although the file is unused,
    the Debian QA tools point out the issues. This is to give us peace
    of mind.

  [ Sven Hartge ]
  * Fix Bacula binaries breaking when linked with symbolic-functions by
    stripping it from LDFLAGS. (LP: #1898006)

 -- Carsten Leonhardt <leo@debian.org>  Thu, 01 Oct 2020 17:33:19 +0200

bacula (9.6.6-1) unstable; urgency=medium

  * New upstream version 9.6.6

  [ Sven Hartge ]
  * Improve maintainer scripts
  * Fix narrowing conversion of magic numbers on 32bit arches with GCC10
  * Add overrides for non-applicable and false-positive lintian tags
  * Add patch to make variables in database scripts easier to manually
    override (Closes: #971381)

  [ Carsten Leonhardt ]
  * Add "Forwarded: not-needed" header to Debian specific patches
  * Add author information on some patches
  * remove obsolete function from common-functions.init
  * Convert 8bit encoding of files to UTF-8

 -- Carsten Leonhardt <leo@debian.org>  Thu, 01 Oct 2020 00:35:27 +0200

bacula (9.6.5-2) unstable; urgency=high

  * Re-add compatibility symlink for bsmtp in /usr/lib/bacula. Old
    installations may still refer to it in their configurations.

 -- Carsten Leonhardt <leo@debian.org>  Wed, 17 Jun 2020 09:23:15 +0200

bacula (9.6.5-1) unstable; urgency=medium

  * New upstream version 9.6.5

  [ Carsten Leonhardt ]
  * Fix order of depends in bacula-bscan
  * Fix LSB dependencies for bacula-dir and bacula-sd/fd
  * Remove patches that have been applied upstream

  [ Sven Hartge ]
  * Let bacula-dir start after bacula-sd/fd if they are also installed.
  * Update debhelper to level 13
  * Move binaries from /usr/lib to /usr/libexec
  * Install bbconsjson, bdirjson, bfdjson and bsdjson into /usr/sbin to
    match upstreams location. Add symlinks to old location for
    compatibility, to be removed after release of Bullseye.
  * Move b*json binaries to their main programs packages

 -- Carsten Leonhardt <leo@debian.org>  Fri, 12 Jun 2020 13:13:05 +0200

bacula (9.6.3-1) unstable; urgency=low

  * New upstream version 9.6.3

  [ Carsten Leonhardt ]
  * Make installation of bacula-sd possible on systems with
    protected_regular=2 set (Closes: #953030).

  [ Sven Hartge ]
  * Update Standards-Version to 4.5.0, no changes required.
  * Update .gitlab-ci.yml to current Salsa-CI default
  * Remove arch-any and arch-all build jobs, now provided by salsa-ci.yml
  * Import better workaround for #923444 from Ubuntu
  * allow-stderr for tests

 -- Carsten Leonhardt <leo@debian.org>  Tue, 10 Mar 2020 21:05:35 +0100

bacula (9.4.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Carsten Leonhardt <leo@debian.org>  Sat, 06 Jul 2019 16:36:04 +0200

bacula (9.4.4-1) experimental; urgency=medium

  [ Carsten Leonhardt, Sven Hartge ]
  * New upstream version 9.4.4

  [ Carsten Leonhardt ]
  * Remove the transitional bacula-director-common package
  * Remove the make_bacula_catalog_awk scripts

 -- Carsten Leonhardt <leo@debian.org>  Wed, 19 Jun 2019 23:08:15 +0200

bacula (9.4.2-2) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Update debian/copyright to include list of authors

  [ Sven Hartge ]
  * wrap-and-sort Debian control files
  * Switch to debhelper-compat virtual package

 -- Carsten Leonhardt <leo@debian.org>  Thu, 28 Feb 2019 12:05:39 +0100

bacula (9.4.2-1) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * New upstream version 9.4.2
  * Drop patches applied upstream:
      gigaslam-cppflags
      multiarch-library-path-detection
      fix-spelling
      fix-endblock-signedness-to-unsigned

  [ Sven Hartge ]
  * Set systemd.unit as Type=exec to better catch startup errors.

 -- Carsten Leonhardt <leo@debian.org>  Tue, 05 Feb 2019 00:10:15 +0100

bacula (9.4.1-2) unstable; urgency=medium

  [ Sven Hartge ]
  * Switch to dh12, now that it is marked as stable
  * Remove build-dependency libssl1.0-dev, package has been removed
    from Debian (Closes: #917340)
  * Cherry pick 25164d42d from upstream, making EndBlock unsigned to
    avoid errors on very large volumes

 -- Carsten Leonhardt <leo@debian.org>  Wed, 09 Jan 2019 16:57:14 +0100

bacula (9.4.1-1) unstable; urgency=medium

  [ Sven Hartge ]
  * New upstream version 9.4.1
  * Refresh patches

  [ Carsten Leonhardt ]
  * Updated Standards-Version to 4.3.0, no changes required.

 -- Carsten Leonhardt <leo@debian.org>  Sun, 23 Dec 2018 12:53:25 +0100

bacula (9.4.0-1) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * New upstream version 9.4.0.
    This release adds WORM tape support.
    Not yet supported by this Debian release is the cloud storage plugin.

  [ Sven Hartge ]
  * Switch bacula-director-{mysql,pgsql,sqlite3,common} to
    Architecture: all, they contain no architecture-dependent files

 -- Carsten Leonhardt <leo@debian.org>  Sat, 22 Dec 2018 19:51:35 +0100

bacula (9.2.2-8) unstable; urgency=medium

  [ Sven Hartge ]
  * Use better scalable icon for the tray monitor
  * Add DEP-12 debian/upstream/metadata

  [ Carsten Leonhardt ]
  * Add lintian overrides for "unused-shlib-entry-in-control-file"
  * Stop suggesting postgresql-contrib, it's provided by postgresql itself
    nowadays

 -- Carsten Leonhardt <leo@debian.org>  Sun, 16 Dec 2018 19:51:19 +0100

bacula (9.2.2-7) unstable; urgency=medium

  [ Sven Hartge ]
  * Fix tray-monitor configuration
  * Use png format for bacula-tray-monitor icon

  [ Carsten Leonhardt ]
  * Generate bacula-tray-monitor.png from it's xpm source during build
  * Fix name of bacula-tray-monitor.conf for postrm script
    (Closes: #915784)

 -- Carsten Leonhardt <leo@debian.org>  Fri, 07 Dec 2018 16:14:56 +0100

bacula (9.2.2-6) unstable; urgency=medium

  [ Sven Hartge ]
  * Further improvements to autopkgtests

  [ Carsten Leonhardt ]
  * add lintian override for uses-dpkg-database-directly
    (cf. Bug#880529)

 -- Carsten Leonhardt <leo@debian.org>  Wed, 28 Nov 2018 09:19:55 +0100

bacula (9.2.2-5) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Add new binary package for bacula-tray-monitor

  [ Sven Hartge ]
  * Re-organization of the debian patches
  * Improve autopkgtest
    (addition of autopkgtest closes ubuntu bug lp: #1677756)

 -- Carsten Leonhardt <leo@debian.org>  Sun, 25 Nov 2018 00:46:12 +0100

bacula (9.2.2-4) unstable; urgency=medium

  [ Sven Hartge ]
  * The fix for #914254 introduced a subtle bug in the SysVinit script,
    effectively disabling the possibility to run the FD as non-root.

 -- Carsten Leonhardt <leo@debian.org>  Thu, 22 Nov 2018 14:34:06 +0100

bacula (9.2.2-3) unstable; urgency=high

  [ Sven Hartge ]
  * Regression fix for SysVinit: During a restore the FD wouldn't be able
    to set files to their original owners/groups when using parameter "-k",
    even when running as root:root, because the code removes all
    capabilities except CAP_DAC_READ_SEARCH.
    Rework the init-script to only use "-k" when the runtime user is not
    root. (Closes: #914254)

 -- Carsten Leonhardt <leo@debian.org>  Wed, 21 Nov 2018 11:53:57 +0100

bacula (9.2.2-2) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Make libtool during build non-silent as per Policy 4.9
  * Pass --as-needed to linker to avoid unnecessary linking
  * Fix hardening build flags for qmake for bat and tray-monitor
  * Honour CPPFLAGS when building gigaslam
  * Fix library path detection for SQLite3. (Closes: #913825)
    Thanks to Adrian Bunk for hints to where the problem lies.

  [ Sven Hartge ]
  * Add Gitlab CI tests
  * Add autopkgtest suite
  * Fix another reproducible builds problem

 -- Carsten Leonhardt <leo@debian.org>  Sun, 18 Nov 2018 16:41:09 +0100

bacula (9.2.2-1) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Updated README.Debian
  * Add note about using tapes on kFreeBSD. (Closes: #728582)

  [ Sven Hartge ]
  * New upstream version 9.2.2
  * Remove patch upstream/fix-bsock-for-bsd, applied upstream
  * Document how to run the FD as unprivileged user. (Closes: #699149)

 -- Carsten Leonhardt <leo@debian.org>  Thu, 08 Nov 2018 00:34:11 +0100

bacula (9.2.1-3) unstable; urgency=medium

  [ Sven Hartge ]
  * Add SupplementaryGroups to bacula-sd systemd unit to allow it
    to read files owned by root:bacula, for example TLS keys.
    Thanks Sergio Gelato for spotting this. (Closes: #910927)

  [ Carsten Leonhardt ]
  * Install upstream release notes as "NEWS", conform with standards
    version 4.2.1.

 -- Carsten Leonhardt <leo@debian.org>  Tue, 16 Oct 2018 09:43:28 +0200

bacula (9.2.1-2) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Make sure the hostname of the build system does not leak into the
    config files.
  * Handle MySQL and SQLite3 schema updates that have been added upstream
    after the last database version increase automatically with
    dbconfig-common.
  * Switch back to the original alioth mailing list address,
    tracker.debian.org doesn't know about the new hostname.

  [ Sven Hartge ]
  * Fix sqlite3 upgrade, Closes: #909460

 -- Carsten Leonhardt <leo@debian.org>  Tue, 09 Oct 2018 11:33:12 +0200

bacula (9.2.1-1) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * bacula-common.preinst: Correctly redirect stdin and stderr /dev/null,
    Closes: #908255
  * Updated Standards-Version to 4.1.5, no changes required

  [ Sven Hartge ]
  * New upstream version 9.2.1
  * Remove patch upstream/fix-permissions, has been applied upstream
  * Use cross-compile friendly PKG_PROG_PKG_CONFIG autoconf macro
  * Add DB Port from dbconfig for MySQL/Postgres, Closes: #906718

 -- Carsten Leonhardt <leo@debian.org>  Sat, 22 Sep 2018 20:24:38 +0200

bacula (9.0.8-1) unstable; urgency=medium

  * New upstream release
  * Drop patch debian/ignore-win32, copyright notices were fixed
    upstream
  * Drop patch upstream/kfreebsd-regression-fix, it was integrated
    upstream
  * Add patch upstream/fix-permissions, to install mtx-changer.conf
    without execute permissions

 -- Carsten Leonhardt <leo@debian.org>  Mon, 28 May 2018 23:10:23 +0200

bacula (9.0.7+dfsg-4) unstable; urgency=medium

  * Add logwatch script to package bacula-director
  * Update maintainer mailing list address

 -- Carsten Leonhardt <leo@debian.org>  Tue, 15 May 2018 13:18:37 +0200

bacula (9.0.7+dfsg-3) experimental; urgency=medium

  [ Sven Hartge ]
  * Switch to Qt5. (Closes: #874836)

 -- Carsten Leonhardt <leo@debian.org>  Wed, 25 Apr 2018 23:31:17 +0200

bacula (9.0.7+dfsg-2) unstable; urgency=medium

  [ Sven Hartge ]
  * Don't clutter / with tmpfiles

  [ Carsten Leonhardt ]
  * Fix FTBFS on kfreebsd
  * Remove ucf tempfiles in / erroneously left there by previous versions

 -- Carsten Leonhardt <leo@debian.org>  Wed, 25 Apr 2018 14:59:58 +0200

bacula (9.0.7+dfsg-1) unstable; urgency=low

  * New upstream release

  [ Sven Hartge ]
  * Unhide the compiler output, allowing the build log scanner to
    actually function correctly
  * Updated Standards-Version to 4.1.4, no changes required

  [ Carsten Leonhardt ]
  * Repackaged upstream source to exclude src/filed/win_efs.c and
    src/win32 due to licencing concerns, added patch to allow building
    nonetheless

 -- Carsten Leonhardt <leo@debian.org>  Mon, 23 Apr 2018 16:53:54 +0200

bacula (9.0.6-2) unstable; urgency=high

  [ Sven Hartge ]
  * Bump debhelper compat level to 11, now that debhelper 11 is in
    stretch-backports
  * Added various lintian overrides
  * Package is compatible with Policy 4.1.3.0, no changes needed
  * Updated VCS-URLs in debian/control (Debian repository moved to
    salsa.debian.org)
  * Fix bacula-sd SysV initscript to correctly pass the runtime user
    to the daemon. Thanks Adam D. Barratt for noticing.

  [ Carsten Leonhardt ]
  * Cherry-pick further fix from stretch-update to prevent accidental
    deletion of bacula-dir.conf

 -- Carsten Leonhardt <leo@debian.org>  Sun, 04 Mar 2018 10:35:21 +0100

bacula (9.0.6-1) unstable; urgency=medium

  * New upstream version
  * We no longer drop sha1.[ch], following advice on debian-legal
  * Dropped backported patches

 -- Carsten Leonhardt <leo@debian.org>  Wed, 22 Nov 2017 10:20:44 +0100

bacula (9.0.5+dfsg-5) unstable; urgency=medium

  * OpenSSL 1.1 support got accepted upstream, so we move it to
    unstable. (Closes: 850895)

 -- Carsten Leonhardt <leo@debian.org>  Sun, 19 Nov 2017 21:27:02 +0100

bacula (9.0.5+dfsg-4+exp2) experimental; urgency=medium

  * Updated patches to support OpenSSL 1.1, kindly contributed by
    Sebastian Andrzej Siewior <sebastian@breakpoint.cc>

 -- Carsten Leonhardt <leo@debian.org>  Thu, 16 Nov 2017 00:34:12 +0100

bacula (9.0.5+dfsg-4+exp1) experimental; urgency=medium

  * Add patches to support OpenSSL 1.1 kindly contributed by Sebastian
    Andrzej Siewior <sebastian@breakpoint.cc>

 -- Carsten Leonhardt <leo@debian.org>  Wed, 15 Nov 2017 17:30:12 +0100

bacula (9.0.5+dfsg-4) unstable; urgency=medium

  * Backported patch to update acl and xattr support. This fixes a bug
    where acl and xattr support could not be disabled. We now disable
    support for these on Gnu/Hurd, this fixes the FTBFS. (Closes: #881271)

 -- Carsten Leonhardt <leo@debian.org>  Wed, 15 Nov 2017 17:23:24 +0100

bacula (9.0.5+dfsg-3) unstable; urgency=medium

  * Skipped version 9.0.5+dfsg-2 - it was a branch for experimental

  [ Carsten Leonhardt ]
  * Use "Rules-Requires-Root: no"
  * Dropped obsolete Build-Depends on Gnome2 libraries
  * Dropped Build-Depends on autotools-dev as debhelper now depends on it

  [ Sven Hartge ]
  * Customized systemd units, added Documentation key
  * Fixed lintian warnings file-contains-trailing-whitespace and
    debhelper-tools-from-autotools-dev-are-deprecated
  * Removed Suggests: python for bacula-sd
  * Registered bacula-console-qt documentation with doc-base

 -- Carsten Leonhardt <leo@debian.org>  Sun, 12 Nov 2017 12:37:09 +0100

bacula (9.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release

  [ Carsten Leonhardt ]
  * Added transitional package bacula-director-common, the old leftover
    package can't be safely purged otherwise (it deletes
    /etc/bacula/bacula-dir.conf in postrm).
  * Handle the main configuration files with ucf (Closes: #880529)
  * Dropped unneeded depends on ucf from bacula-director-DBTYPE packages

  [ Sven Hartge ]
  * Updated patches:
    upstream-fix-sqlite-update.patch
    non-forking-systemd-units.patch

 -- Carsten Leonhardt <leo@debian.org>  Mon, 06 Nov 2017 13:25:37 +0100

bacula (9.0.4+dfsg-3) unstable; urgency=high

  [Sven Hartge]
  * Let PID files be owned by root. Mitigates a minor security problem
    similar to CVE 2017-14610. Note that this change disables automatic
    tracebacks.

  [Carsten Leonhardt]
  * Removed lintian override for
    virtual-package-depends-without-real-package-depends, fixed in lintian
  * Updated Standards-Version to 4.1.1, no changes required

 -- Carsten Leonhardt <leo@debian.org>  Thu, 26 Oct 2017 22:26:35 +0200

bacula (9.0.4+dfsg-2) unstable; urgency=low

  * Changed location of bbconsjson, bdirjson, bfdjson and bsdjson to
    /usr/lib/bacula
  * Install bscan and bcopy /usr/sbin instead of /usr/bin to match
    upstream
  * No longer symlink bat into /usr/bin
  * Removed symlink "bacula-console-qt" that linked to /usr/sbin/bat

 -- Carsten Leonhardt <leo@debian.org>  Wed, 13 Sep 2017 22:49:20 +0200

bacula (9.0.4+dfsg-1) experimental; urgency=low

  * New upstream release
  * Fixed default config for bacula-sd so it listens only on localhost
  * Added notice about discontinued sqlite3 support also to the package
    description of bacula-common-sqlite3
  * Dropped debian patches
    upstream-bring-back-tmpfiles-configuration.patch and
    upstream-fix-sqlite-db-creation.patch, these have been addressed or
    applied in the new upstream version
  * Updated upstream-fix-sqlite-update.patch

 -- Carsten Leonhardt <leo@debian.org>  Mon, 11 Sep 2017 18:37:19 +0200

bacula (9.0.3+dfsg-1) experimental; urgency=low

  * New upstream release (Closes: #855645)
  * debian/NEWS: Warn that sqlite3 is no longer officially supported and
    might be removed at short notice, also warn that we no longer support
    the make_catalog_backup_awk scripts and that they will be removed
    after the next debian release
  * Script dvd-handler removed,
    adjusted maintscript handling accordingly
  * Refreshed debian patches "fix-default-config",
    "switch-nonfree-sha1-to-openssl.patch" and
    "non-forking-systemd-units.patch"
  * Default installations now use PostgreSQL, which is recommended by
    upstream. Upstream no longer officially supports SQLite3, added a news
    entry about the fact and a note in the package description of
    bacula-director-sqlite3 (Closes: #854684)
  * Let debian/scripts/install-dbconfig detect an unsupported bacula
    database version update and abort the build if needed
  * Updated upstream signing key
  * Updated debian/copyright
  * Updated debian/scripts/install-dbconfig for database version 16
  * Added new libbacsd library to package bacula-common
  * Revived a modified fix-bring-back-tmpfiles-configuration.patch
  * Updated Standards-Version to 4.1.0, no changes required
  * Implemented try-restart in init scripts
  * Added debian/patches/upstream-fix-sqlite-update.patch
  * Renamed debian patches to indicate whether they are debian specific or
    fit for upstream
  * Added debian/patches/upstream-fix-sqlite-db-creation.patch
  * Install new binaries bbconsjson, bdirjson, bfdjson and bsdjson to
    package bacula-common
  * Install new script tapealert to package bacula-sd
  * Install new script baculabackupreport to package bacula-director
  * Install all scripts for manual database handling to their respective
    bacula-director-* packages

 -- Carsten Leonhardt <leo@debian.org>  Wed, 30 Aug 2017 17:40:14 +0200

bacula (7.4.4+dfsg-5) unstable; urgency=medium

  * Fix FTBFS for build-indep
  * Added a note about the monitoring plugin to README.Debian

 -- Carsten Leonhardt <leo@debian.org>  Thu, 19 Jan 2017 11:14:44 +0100

bacula (7.4.4+dfsg-4) unstable; urgency=medium

  * Change build-depends to alternatively include libssl-dev (<< 1.1.0~)
    As suggested by Adrian Bunk in Bug#828475
  * Include the (officially unsupported) monitoring plugin "check_bacula"
    in bacula-common (Closes: #675466)
  * Change vcs-git field in debian/control to point to https

 -- Carsten Leonhardt <leo@debian.org>  Thu, 19 Jan 2017 00:03:05 +0100

bacula (7.4.4+dfsg-3) unstable; urgency=medium

  * Change Build-Depends to make sure we stay with OpenSSL 1.0, because
    bacula is not yet ready to use OpenSSL 1.1.

 -- Carsten Leonhardt <leo@debian.org>  Thu, 03 Nov 2016 17:44:15 +0100

bacula (7.4.4+dfsg-2) experimental; urgency=medium

  [Carsten Leonhardt]
  * Added version to Depends on lsb-base (found by lintian)
  * Use the new default-mysql-* metapackages in dependencies
  * Bump debhelper compat level to 10, parallel build now default

  [Sven Hartge]
  * Remove configuration option to change runtime user for director
    and storage daemon. This was never really possible without
    recompiling the package in the first place.
    This change also fixes problems with automatic backtrace
    generation which does not work if the daemon changes its
    uid/git itself. (See Issue#1905 in Bacula-BTS and commit
    39240129 and f085b9e9 in upstream git.)
  * Change owner of /etc/bacula/bacula-sd.conf to bacula
    bacula-sd needs to read it while already running as non-root
    user bacula.

 -- Carsten Leonhardt <leo@debian.org>  Wed, 19 Oct 2016 23:19:19 +0200

bacula (7.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refreshed debian patches and dropped
    fix-bring-back-tmpfiles-configuration.patch as it's no longer needed
  * Moved "Suggests: bacula-doc" to package bacula-director

 -- Carsten Leonhardt <leo@debian.org>  Wed, 21 Sep 2016 17:59:43 +0200

bacula (7.4.3+dfsg-7) unstable; urgency=high

  * Handle make_catalog_backup script in postinst of package
    bacula-director, inserting the correct database user (Closes: #838080)
  * Move make_catalog_backup.pl to package bacula-director

 -- Carsten Leonhardt <leo@debian.org>  Mon, 19 Sep 2016 17:55:43 +0200

bacula (7.4.3+dfsg-6) unstable; urgency=low

  [Sven Hartge]
  * Fix boot dependencies of bacula-dir.service to be on par with
    the SysV init-script.

  [Carsten Leonhardt]
  * Fix check for ucf in postrm template (Closes: #837333)
  * Add various lintian overrides
  * Correct VCS-Browser field in debian/control

 -- Carsten Leonhardt <leo@debian.org>  Sun, 11 Sep 2016 21:53:53 +0200

bacula (7.4.3+dfsg-5) unstable; urgency=low

  Continue reorganisation of packages:

  * Don't delete all of /etc/bacula when purging bacula-common
  * Automated creation of most postrm scripts
  * /etc/default/bacula-dir and bacula-dir.conf are now handled in package
    bacula-director
  * Cleanup of postinst scripts, safer password handling,
    no longer create unneeded .dist files of config files (Closes: #493092)
  * Deleted obsolete code from various places in debian/*
  * Removed obsolete information from README.Debian
  * Removed obsolete check for insecure bacula-director passwords
  * Uncluttered debian/ by automating creation of most maintscript files
  * Added script "autopostrm" to autogenerate and clean up most postrm
    scripts

 -- Carsten Leonhardt <leo@debian.org>  Fri, 09 Sep 2016 17:44:00 +0200

bacula (7.4.3+dfsg-4) experimental; urgency=medium

  * Fix init scripts to make sure the daemons can be stopped before
    upgrades or when /etc/default/bacula-* were edited
    (merged from 7.4.3+dfsg-1+sid1)
  * Use /run and /run/lock instead of /var/run and /var/lock

  Continue reorganisation of packages:

  * change postinst/postrm files to correctly handle the script
    delete_catalog_backup in bacula-director (Closes: #834034)

 -- Carsten Leonhardt <leo@debian.org>  Mon, 29 Aug 2016 13:34:08 +0200

bacula (7.4.3+dfsg-3) experimental; urgency=medium

  Reorganisation of packages, providing the necessary Breaks/Conflicts for
  the transitions. Thanks to Sven Hartge for his help.

  * Remove link /usr/bin/bconsole, finishing bconsole's transition to
    /usr/sbin/ started in 5.0.3+dfsgreal-1
  * Move all common files from bacula-diretor-DBTYPE to
    bacula-director-common
  * Move bcopy and btape from bacula-sd-DBTYPE to bacula-sd
  * Move bscan into it's own package, making bacula-sd-DBTYPE obsolete
  * Move libbacsql from bacula-common-DBTYPE to bacula-common
  * Rename bacula-director-common to bacula-director
  * Move init-scripts and systemd services files into bacula-director
    (Closes: #832357)
  * Added note to debian/NEWS

 -- Carsten Leonhardt <leo@debian.org>  Mon, 01 Aug 2016 02:41:20 +0200

bacula (7.4.3+dfsg-2) experimental; urgency=medium

  [ Sven Hartge ]
  * Enable systemd integration
  * Change bacula-{sd,fd,director}.services to non-forking simple mode
  * Move init-scripts and systemd services files from
    bacula-director-common to bacula-director-DBTYPE, simplyfying their
    handling for the packaging tools.
  * bring back lost tmpfiles.d/bacula.conf to create /var/run/bacula
  * remove old leftover config /etc/tmpfiles.d/bacula.conf if identical
    to new config-file in /usr/lib/tmpfiles.d

 -- Carsten Leonhardt <leo@debian.org>  Tue, 19 Jul 2016 23:18:28 +0200

bacula (7.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix MySQL database creation via dbconfig-common (Closes: #830999)
  * Really fix PostgreSQL upgrades

 -- Carsten Leonhardt <leo@debian.org>  Mon, 18 Jul 2016 14:14:24 +0200

bacula (7.4.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Refreshed debian patches and dropped fix-mysql-libdir.patch as it's no
    longer needed
  * Added Pre-Depends on ${misc:Pre-Depends} for all packages

 -- Carsten Leonhardt <leo@debian.org>  Mon, 11 Jul 2016 13:22:41 +0200

bacula (7.4.1~dfsg-1) unstable; urgency=high

  * New upstream release
  * skip old check for unsafe passwords if bacula-dir.conf doesn't
    pre-exist
  * improved handling of "optional" part postgresql database upgrade
  * removed native systemd support pending a working solution which takes
    care not to introduce a regression of #825064 (Closes: #826163)
  * make the timeout before killing bacula-sd from init script configurable,
    see STOPTIMEOUT in /etc/default/bacula-sd.conf
  * switch dependencies on dbconfig-common to new dbconfig-* packages

 -- Carsten Leonhardt <leo@debian.org>  Thu, 09 Jun 2016 20:08:16 +0200

bacula (7.4.0.a~dfsg-1) unstable; urgency=medium

  * Upstream bug fix release 7.4.0a from git

 -- Carsten Leonhardt <leo@debian.org>  Mon, 30 May 2016 14:40:54 +0200

bacula (7.4.0+dfsg-3) unstable; urgency=medium

  * install help files for bat (Closes: #705137)

 -- Carsten Leonhardt <leo@debian.org>  Mon, 30 May 2016 01:10:04 +0200

bacula (7.4.0+dfsg-2) unstable; urgency=medium

  * Test config before attempting to start daemons via init scripts
    (Closes: #825064)

 -- Carsten Leonhardt <leo@debian.org>  Sun, 29 May 2016 20:15:01 +0200

bacula (7.4.0+dfsg-1) unstable; urgency=low

  * New upstream release
    - Integrates fix for .bvfs_update (Closes: #737821)
    - patches removed because they are fixed upstream:
       fix-manpage-bconsole8.patch, ppc64el-libtoolize.patch,
       fix-src-tools-make-clean.patch,
       fix-update-sqlite3-12to14.patch, add-basic-kfreebsd-support.patch
  * now compiles on hurd
  * updated debian/copyright
  * refreshed debian/patches/fix-default-config,
      switch-nonfree-sha1-to-openssl.patch
  * *-dbg packages no longer provided, please use the automatic dbgsym
    packages if needed
  * Update Standards-Version to 3.9.8. No changes required.
  * bacula-director-pgsql no longer suggests postgresql-doc
  * created new scripts to cope with new database update scripts
  * added patch to fix update script for postgresql databases

 -- Carsten Leonhardt <leo@debian.org>  Sun, 22 May 2016 23:41:08 +0200

bacula (7.0.5+dfsg-4) unstable; urgency=medium

  * Improve debian/rules and fix it to allow architecture dependent and
    independent builds. (Closes: #806605).
  * Change most doc directories to symlinks to bacula-common
  * Added note in README.Debian about usage of hostnames in Address
    directives. (Closes: #522372).

 -- Carsten Leonhardt <leo@debian.org>  Wed, 02 Dec 2015 00:38:33 +0100

bacula (7.0.5+dfsg-3) unstable; urgency=low

  * Corrected logrotate configuration. (Closes: #694046, #716666)
  * Stop daemon in bacula-director-*.prerm unconditionally to fix issue on
    kfreebsd where the old daemon would keep running
  * Bump debhelper compat level to 9 and enable hardening for bat
    (Closes: #736461)
  * No longer install menu file, as per tech-ctte decision on #741573

 -- Carsten Leonhardt <leo@debian.org>  Sun, 15 Nov 2015 23:28:52 +0100

bacula (7.0.5+dfsg-2) unstable; urgency=medium

  * Removed inactive uploaders, added myself
  * Added Suggests for perl/python where appropriate for scripts in
    /etc/bacula/scripts
  * debian/patches/fix-manpage-bconsole8.patch: fix typo in manpage
    (upstream bug 2182)

 -- Carsten Leonhardt <leo@debian.org>  Tue, 10 Nov 2015 19:44:43 +0100

bacula (7.0.5+dfsg-1) UNRELEASED; urgency=medium

  * New upstream release (Closes: #680714, #793794)
    - bsmtp can be called with "-a" or "-6" flag for IPv6-only hosts
      (Closes: #742914)
  * bacula-traymonitor, wx-console and python support have been removed
    upstream (Closes: #592843)
  * Updated debian/patches/fix-default-config
  * Updated debian/patches/ppc64el-libtoolize.patch
  * Refreshed several patches
  * debian/NEWS: document major changes
  * systemd tmpfiles.d location was fixed in unreleased 5.2.13+dfsg-1
    (Closes: #698978)
  * Enable support for LZO compression (Closes: #734361)
  * delete bacula-dir.conf during purge of bacula-director-common
    instead of bacula-director-*sql* (Closes: #755089)
  * set scripts/delete_catalog_backup as executable
    (Closes: #714161, #718641)
  * debian/patches/add-basic-kfreebsd-support.patch:
    + better support for GNU/kFreeBSD ("onefs=no" works) (upstream 2156)
  * don't install systemd related files on non-linux ports
  * Added note to README.Debian about usage of hostnames for listening
    addresses (Closes: #679479)
  * Better documentation of password handling on installation. Thanks to
    Alberto Fuentes. (Closes: #742228)
  * Fixed typo in sqlite3 database update script. (Closes: #714141)
  * Update Standards-Version to 3.9.6. No changes required.
  * Change linking the docs from bacula to bacula-server. Because these
    are both "Architecture: all" it avoids breakage with binNMUs.
    (Closes: #804566).

 -- Carsten Leonhardt <leo@debian.org>  Tue, 10 Nov 2015 14:06:42 +0100

bacula (5.2.13+dfsg-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/patches/fix-binutils-gold-linking.patch:
    - Removed, fixed in upstream 5.2.7
  * debian/patches/xattr-btrfs-crash.patch:
    - Removed, fixed in upstream 5.2.7
  * debian/patches/fix-mysql-autoconf.patch:
    - Removed, fixed in upstream 5.2.7
  * debian/patches/fix-readline-ncurses-depends.patch:
    - Removed, fixed in upstream 5.2.8
  * debian/patches/fix-save-only-one-xattr.patch
    - Removed, fixed in upstream 5.2.8
  * debian/patches/add-systemd-bacula.conf-for-piddir.patch:
    - Removed, fixed in upstream 5.2.8
  * debian/patches/fix-example-script-syntax:
    - Removed, fixed in upstream 5.2.11
  * debian/patches/fix-manpages:
    - Removed, fixed in upstream 5.2.11
  * debian/patches/path-to-logdir.patch:
    - Removed, fixed in upstream 5.2.11
  * debian/patches/remove-use-statement-for-mysql.patch:
    - Removed, fixed in upstream 5.2.11
  * debian/patches/fix_dump_resources_acl.patch:
    - Removed, fixed in upstream 5.2.12
  * Updated debian/patches/fix-scriptdir-examples-devices.patch
  * Updated debian/patches/switch-nonfree-sha1-to-openssl.patch
  * Updated debian/patches/fix-libbaccats-rpath.patch
  * Upstream has fixed their bug #1859 in 5.2.11 (Closes: #721930).
  * debian/po/tr.po:
    + Added Turkish debconf messages. Thanks to Mert Dirik.
      (Closes: #759873)
  * debian/po/pt_BR.po:
    + Added Brazilian Portuguese debconf messages. Thanks to J. S. Júnior.
      (Closes: #718492)
  * Add virtual-mysql-server /-client as alternative dependency
    (Closes: #732879)
  * Updated debian/bacula-common.preinst to specify "--home" on call to
    "adduser" instead of changing later with "usermod" [lintian]
  * debian/patches/fix-systemd-tmpfiles.d-location.patch:
    + change systemd tmpfiles.d location [lintian]
  * debian/patches/fix-src-tools-make-clean.patch:
    + fix "make clean" to delete all binaries in src/tools (upstream bug 2150)

 -- Carsten Leonhardt <leo@debian.org>  Mon, 20 Jul 2015 11:58:54 +0200

bacula (5.2.6+dfsg-9.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix my last upload and really build on ppc64el now.

 -- Andreas Barth <aba@ayous.org>  Mon, 08 Sep 2014 11:16:35 +0000

bacula (5.2.6+dfsg-9.2) unstable; urgency=low

  * Non-maintainer upload to delayed.
  * Add support for ppc64el. Closes: #758125

 -- Andreas Barth <aba@ayous.org>  Mon, 18 Aug 2014 20:06:20 +0000

bacula (5.2.6+dfsg-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix doc symlink in bacula.postinst (Closes: 707803).

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 05 Oct 2013 22:42:35 +0200

bacula (5.2.6+dfsg-9) unstable; urgency=low

  * debian/copyright:
    + Update info about upstream license changes.
  * debian/bacula-fd.install:
    - Remove incorrect systemd service file for bacula-fd due to unaccepted for
      freeze changes in fixes (Closes: #699943).

 -- Alexander Golovko <alexandro@ankalagon.ru>  Wed, 24 Apr 2013 01:56:12 +0400

bacula (5.2.6+dfsg-8) unstable; urgency=high

  * debian/additions/common-functions.dpkg:
    + Fix missed user for run bacula-director (Closes: #699244).

 -- Alexander Golovko <alexandro@ankalagon.ru>  Tue, 29 Jan 2013 18:47:27 +0400

bacula (5.2.6+dfsg-7) unstable; urgency=low

  * debian/bacula-sd.install, bacula-director-{sqlite3,mysql,pgsql}.install,
    debian/rules:
    - Remove incorrect systemd service files for bacula-director and
      bacula-sd due to unaccepted for freeze changes in fixes.
  * debian/additions/common-functions.dpkg, debian/*.init,
    debian/patches/delegate-chuid-to-systemd.patch, debian/patches/series:
    - [revert] delegate daemons uid/gid changing to start-stop-daemon.
  * debian/control:
    + [revert] remove mtx from build-depends on Hurd, due to package
      unavailability and unnecessary functionality on this platform.
    - [revert] Add build-depends for LZO support.
  * debian/rules:
    - [revert] add lintian overrides for hardening for all packages.
    + [revert] disable xattr and acl on Hurd.
  * debian/rules:
    - [revert] Cleanup list of linked libraries.
  * debian/rules, debian/control, debian/*.init, debian/bacula-common.postrm,
    debian/additions/common-functions.init:
    - [revert] switch to /run directory (/var/run/bacula -> /run/bacula,
      /var/lock -> /run/lock).
  * debian/bacula-common.preinst:
    - [revert] add bacula into cdrom group.
  * debian/bacula-common.preinst:
    - [revert] switch from usermod to more debian-policy friendly adduser.
  * debian/*.postrm:
    - [revert] make package purging more careful about users files.
  * debian/po/nl.po:
    + add dutch translation (thanks to Vincent Zweije).
  * debian/bacula-director-common.bacula-director.init (Closes: #605449):
    + start sql database before bacula-director (thanks to Teodor MICU
      <mteodor@gmail.com>).

 -- Alexander Golovko <alexandro@ankalagon.ru>  Tue, 08 Jan 2013 16:01:20 +0400

bacula (5.2.6+dfsg-6) unstable; urgency=high

  [ Alexander Golovko ]
  * debian/bacula-director-*.{install,postinst},
    debian/additions/sqlite3/delete_catalog_backup.md5sum,
    debian/additions/common-functions.dpkg (Closes: #688199):
    + switch /etc/bacula/scripts/delete_catalog_backup under ucf control.
  * debian/control:
    - remove mtx from build-depends on Hurd, due to package unavailability and
      unnecessary functionality on this platform.
  * debian/rules:
    + add lintian overrides for hardening for all packages.
    - disable xattr and acl on Hurd.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. (Closes: #687240)

  [ Debconf translation updates ]
  * Russian (Yuri Kozlov). Closes: #689442
  * Spanish; (# traductor (campo Last-Translator) y ponga en copia a la
    lista de Javier Fernández-Sanguino).  Closes: #689467
  * Danish (Joe Hansen).  Closes: #689643
  * French (Julien Patriarca).  Closes: #689796
  * Czech (Michal Simunek).  Closes: #689797
  * German (Holger Wansing).  Closes: #690077
  * Japanese (victory).  Closes: #690550
  * Galician (Jorge Barreiro).  Closes: #690595
  * Polish (Michał Kułach).  Closes: #690732
  * Italian (Beatrice Torracca).  Closes: #690745
  * Portuguese (Rui Branco).  Closes: #690779
  * Swedish (Martin Bagge / brother).  Closes: #690896

 -- Alexander Golovko <alexandro@ankalagon.ru>  Wed, 24 Oct 2012 15:19:49 +0400

bacula (5.2.6+dfsg-5) unstable; urgency=low

  * debian/control:
    - capabilities is linux-only feature. disable it for non-linux platforms.
  * debian/README.Debian:
    + add information, that capabilities is linux-only feature.

 -- Alexander Golovko <alexandro@ankalagon.ru>  Tue, 25 Sep 2012 16:24:31 +0400

bacula (5.2.6+dfsg-4) unstable; urgency=high

  * debian/control, debian/bacula-director-db.templates.in,
    debian/po/templates.pot:
    + Improve the use of English (thanks to debian-l10n-english team).
  * debian/patches/fix_dump_resources_acl.patch, debian/rules:
    + Fix console ACL's bypass with dump_resource, SA CVE-2012-4430
      (Closes: #687923).
  * debian/control:
    + Add build-depends for read-all capability support (Closes: #683080).
    + Add build-depends for LZO support.
  * debian/rules:
    + Cleanup list of linked libraries.
  * debian/README.Debian:
    + Add information about file daemon without root privileges.
  * debian/patches/xattr-btrfs-crash.patch, debian/patches/series:
    + Fix bacula-fd crash on saving xattr on btrfs.
  * debian/patches/fix-save-only-one-xattr.patch, debian/patches/series:
    + Save all file xattrs, not only first (Closes: #688732).

 -- Alexander Golovko <alexandro@ankalagon.ru>  Tue, 25 Sep 2012 12:33:01 +0400

bacula (5.2.6+dfsg-3) unstable; urgency=high

  [ Alexander Golovko ]
  * debian/bacula-common-db.install.in, debian/bacula-common-db.links.in,
    debian/patches/fix-default-dbtype.patch, debian/rules:
    + Build packages for all database types in the same time, not a separate
      process for sqlite3, mysql and pgsql.
  * debian/patches/fix-systemd-daemon-user-group.patch,
    debian/patches/series:
    + fix daemons user/group on systems with systemd (Closes: #679958).
  * debian/rules, debian/control, debian/*.init, debian/bacula-common.postrm,
    debian/additions/common-functions.init:
    + switch to /run directory (/var/run/bacula -> /run/bacula,
      /var/lock -> /run/lock).
  * debian/patches/remove-use-statement-for-mysql (Closes: #679855):
    + fix impossibility to run out-of-box scripts make_mysql_tables and
      update_mysql_tables scripts, shipped with package.
  * debian/bacula-director-*.postinst, debian/bacula-director-*.templates,
    debian/po/*, debian/addition/common-functions.dpkg:
    + fix unsafe bacula-director passwords.
  * debian/bacula-common.postrm:
    + don't remove bacula user on package purging (details in bug 621833).
  * debian/additions/common-functions.dpkg, debian/*.init,
    debian/patches/delegate-chuid-to-systemd.patch, debian/patches/series:
    + delegate daemons uid/gid changing to start-stop-daemon or systemd,
      thanks to Matija Nalis (Closes: #556207).
  * debian/bacula-common.preinst:
    + add bacula into cdrom group (Closes: #520508).
  * debian/additions/common-functions.dpkg:
    + force /etc/default/bacula-dir reregistration in ucf when changing
      bacula-director database type, fix purging after this (Closes: #680051).
  * debian/bacula-{console,console-qt,traymonitor}.postrm:
    + fix files left after package purging, thanks to Andreas Beckmann and
      piuparts (Closes: #682733).
  * debian/bacula-console-qt.postrm, debian/bacula-traymonitor.postrm:
    + fix files left after packages purge (thanks to piuparts).
  * debian/bacula-common.preinst:
    + switch from usermod to more debian-policy friendly adduser.
  * debian/*.postrm:
    + make package purging more careful about users files.
  * debian/patches/path-to-logdir.patch, debian/patches/series:
    + fix bacula log directory (Closes: #684203).
  * debian/*.init:
    + fix waiting for real daemon stopping (Closes: #684744).
    - remove unused code from bacula-director init script.

  [ Bart Swedrowski ]
  * debian/bacula-console.postinst,debian/bacula-console-qt.postinst,
    debian/bacula-traymonitor.postinst:
    + fix hostname substitution (Closes: #682966).

 -- Alexander Golovko <alexandro@ankalagon.ru>  Thu, 09 Aug 2012 10:44:49 +0400

bacula (5.2.6+dfsg-2) unstable; urgency=low

  * debian/bacula-*.init:
    + check if the daemon is executable.
    + add $NAME to log_daemon_msg calls.
  * debian/bacula-console.postinst,
    debian/bacula-traymonitor.postinst:
    - remove useless CONSOLE variable.
  * debian/bacula-console*.postinst,
    debian/bacula-traymonitor.postinst:
    + also replace *PASSWORD in config files, thanks to Richard
      Hartmann <richih.mailinglist@gmail.com> (Closes: #675227).
  * debian/bacula-director-*.postinst:
    + replace XXX_DBNAME_XXX, thanks to Guillaume Delacour
      <gui@iroqwa.org> (Closes: #656912).
  * debian/bacula-director-*.postinst,
    debian/bacula-fd.postinst, debian/bacula-sd.postinst:
    + move set call at the top.
  * debian/bacula-sd.init:
    + remove trailing space in stop case.
  * debian/gbp.conf:
    + explicitly set upstream and debian branches.
  * debian/patches/fix-sql-bindir:
    + convert to DEP-3.

 -- Luca Capello <luca@pca.it>  Fri, 29 Jun 2012 05:59:45 +0200

bacula (5.2.6+dfsg-1) unstable; urgency=high

  [ Alexander Golovko ]
  * new upstream release (Closes: #648565, #659032).
  * debian/patches/switch-nonfree-sha1-to-openssl.patch
    (Closes: #658326):
    + switch from upstream nonfree SHA1 implementation to openssl
  * debian/patches/fix-readline-ncurses-depends.patch
    (Closes: #646730):
    + fix ncurses requirement for readline-compiled bconsole, thanks
      to Sven Joachim <svenjoac@gmx.de>.
  * debian/*:
    + Add seamless migrating from /etc/bacula/do_not_run to /etc/default/*.
    + cleanup maintainer scripts.
  * debian/bacula-*.lintian-overrides:
    - remove, now useless.
  * debian/bacula-fd.init, debian/bacula-sd.init,
    debian/bacula-director-common.bacula-director.init:
    + Add LSB Description.
  * debian/patches/fix-mysql55-sql-syntax.patch (Closes: #674809):
    + Fix installation on MySQL 5.5, thanks to
      Corey Hickey <bugfood-c@fatooh.org>.
  * debian/patches/*:
    + update for applying to new upstream version.
  * debian/bacula-sd-*.install:
    + moved into template debian/bacula-sd-db.install.in.
    + add new shared libraries libbaccats*.so.
  * debian/patches/fix-libbaccats-rpath.patch:
    + fix RPATH in libbaccats*.so.

  [ Bartosz Cisek ]
  * debian/rules:
    + fix --with-dir-passowrd= typo.

  [ Ben Hutchings ]
  * debian/control:
    + add autoconf to Build-Depends:.
  * debian/patches/fix-mysql-autoconf.patch:
    + fix FTBFS with multi-arch libmysqlclient-dev (Closes: #672765).
  * debian/rules:
    + recreate configure script on build.

  [ Jan Hauke Rahm ]
  * debian/*:
    + rework patching to use 3.0 (quilt).
    + rewrite to use debhelper.
    + add init scripts /etc/default processing for enabling, config path
      and arguments (Closes: #555737, #530019, #530018, #530014),
      thanks to Christopher Phillips (Blake) <blake@lindenlab.com>
      and Teodor <mteodor@gmail.com>.
    + cleanup and unify maintainer scripts (Closes: #670427, #672285).
    + make all maintainer scripts bash-independent.
  * debian/bacula-director-mysql.script.5.0.0,
    debian/rules:
    - remove lenny->squeeze upgrade path.
    + don't add useless call to ldconfig.
    + Remove executable bit on config file and README.
  * debian/bacula-director-sqlite3.config,
    debian/bacula-director-sqlite3.postinst,
    debian/control:
    - remove sqlite->sqlite3 upgrade path (lenny->squeeze) (Closes: #612352).
    + update git-repository url.
    + fix bacula log dir.
    + fix typo in package descriptions.
    + drop old (versions of) dependencies and conflicts.
    + White space and line breaks clean-up.
    + Upper-case Bacula as it's a name.
    + Remove reference to qwt.
  * debian/bacula-traymonitor.links:
    + also link the man page for traymonitor.
  * debian/bacula-director-common.bacula-director.init,
    debian/bacula-fd.init, debian/bacula-sd.init (Closes: #608600):
    + Fix: init scripts fail if daemon already running
  * debian/*.init, debian/*.bacula-director.init.in:
    + Add LSB Short-Description.
  * debian/patches/remove-use-statement-for-mysql:
    + remove "use <dbname>" statement from database setup/update
      scripts because we can't provide correct database name in it.
  * debian/*bacula-director.init:
    + move bacula-director init script from bacula-director-common
      package into bacula-director-<dbtype> packages.
  * debian/*.install (Closes: #621282):
    + stop shipping .la files.
  * debian/NEWS:
    + Add significant changes since last release.
  * debian/patches/fix-example-script-syntax, debian/patches/series:
    + Fix a syntax error in example script.
  * debian/bacula-console-qt.menu:
    + Change menu section of console-qt Apps/System ->
      Applications/System/Administration.
  * debian/patches/fix-default-config, debian/bacula-common.links,
    debian/bacula-common.install:
    + Move bsmtp to /usr/sbin as intended by upstream. Symlinks in old place
      provided.
  * debian/patches/fix-manpages, debian/patches/series:
    + Fix errors in manpages.
  * debian/bacula-director-common.manpages:
    + Add manual pages for /usr/sbin/b{wild,regex}.
  * debian/additions/*, debian/rules:
    + add gawk script for catalog backup.

  [ Luca Capello ]
  * Urgency set to high because of release critical bugs.
  * debian/additions/bacula-console-gnome.desktop:
    - remove, deprecated upstream since 2.0.2-1 (see #391820).
  * debian/additions/bacula-tray-monitor.desktop:
    - remove, use upstream file.
  * debian/bacula-common.install:
    + install systemd tmpfiles.d's bacula.conf, thanks to Michael
      Stapelberg <michael+db20090501@stapelberg.de> (Closes: #624532).
  * debian/bacula-console*:
    + move bconsole to /usr/sbin/ as intended by upstream, providing
      symlinks in old place.
  * debian/bacula-console-qt.install:
    + move bat to /usr/sbin/ as intended by upstream.
    + install upstream icon and .desktop files, thanks to Gunnar
      Thielebein <gunnar_thielebein@gmx.net> (Closes: #466428).
  * debian/bacula-console-qt.links:
    + move bat to /usr/sbin/ as intended by upstream, providing
      symlinks in old place.
    + add symlinks to bacula-console-qt as well (binary and manpage) to
      match the package name.
  * debian/bacula-console-qt.menu:
    + move bat to /usr/sbin/ as intended by upstream.
    - remove useless -c option, /etc/bacula/bat.conf is used by default
      if not specified.
  * debian/bacula-director-*.install, debian/bacula-fd.install,
    debian/bacula-sd.install:
    + install upstream systemd service files.
  * debian/bacula-director-*.postinst:
    - remove path for sh call, thanks to lintian.
  * debian/bacula-director-common.bacula-director.init:
    + if the bacula-dir daemon is not found, notice the user that one of
      the bacula-director-<dbtype> packages must be installed.
  * debian/bacula-director-common.bacula-director.init,
    debian/bacula-fd.init, debian/bacula-sd.init:
    + move set call just after the LSB snippet.
  * debian/bacula-traymonitor.install:
    + move bacula-tray-monitor to /usr/sbin/ as intended by upstream.
    + dh_install can not rename files, so the icon must be renamed in
      debian/rules.
    + install upstream .desktop file.
  * debian/bacula-traymonitor.links:
    + move bacula-tray-monitor to /usr/sbin/ as intended by upstream,
      providing symlinks in old place.
  * debian/control:
    + add myself to Uploaders:.
    + add bsd-mailx as alternative for mailx, thanks to lintian.
  * debian/copyright:
    + add current maintainer.
  * debian/NEWS:
    + add note about moving bat/bconsole/bacula-tray-monitor to
      /usr/sbin/ as intended by upstream.
  * debian/patches/add-systemd-bacula.conf-for-piddir.patch:
    + add bacula.conf which defines the PID directory to be created.
  * debian/patches/fix-binutils-gold-linking.patch:
    + import from upstream BTS (Closes: #553956).
  * debian/patches/fix-scriptdir-examples-devices.patch:
    + @scriptdir@ not replaced in examples/devices/*, thanks to Arne
      Wichmann <arnew-reportbug@rasentrimmer.org> (Closes: #500370).
  * debian/README.Debian:
    + explain why upstream sources are not DFSG-free.
  * debian/rules:
    + add --with-dump-email=root and --with-job-email=root to CONF_ALL,
      thus removing the '@localhost' domain part (Closes: #519567).
    + add --with-systemd=/lib/systemd/system for systemd files.
    + rename bacula-tray-monitor.xpm.

  [ Martin Pitt ]
  * debian/control (Closes: #639466):
    + update libpq-dev Build-Depends: to 9.1.
    + Build-Depends: on postgresql-server-dev-all.
    + leave only the unversioned postgresql-client package in
      bacula-director-pgsql's Depends: and Recommends:.

 -- Luca Capello <luca@pca.it>  Wed, 13 Jun 2012 17:38:56 +0200

bacula (5.0.3-1) unstable; urgency=low

  * [27362ff7] Adopted by bacula packaging group (Closes: #612296)
  * [14bbb35e] New upstream version  (Closes: #592622)
    + Fixes OpenSSL 1.0.0 issue (Closes: #622003)
    + Doesn't install any Product column (Closes: #615570)
  * [7562cd38] Install alternative binary name for tray-monitor (Closes: 461943)

 -- Jan Hauke Rahm <jhr@debian.org>  Thu, 21 Apr 2011 15:16:55 +0200

bacula (5.0.2-3) unstable; urgency=low

  * Wrap password commands in quotes.  Closes: #607443.
  * Orphaning this package; changing maintainer to QA group.
    WNPP bug #612296 filed.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 07 Feb 2011 08:20:22 -0600

bacula (5.0.2-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "make_catalog_backup is broken": patch configure to use /usr/bin as
    the path of the PostgreSQL binaries instead of dynamically setting it at
    build time to /usr/lib/postgresql/$VERSION/bin (closes: #606802).

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 Dec 2010 16:42:56 +0100

bacula (5.0.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "bacula meta-package not installable with recommended packages":
    bacula-sd: Recommends: add a real package to the virtual bacula-sd-tools;
    thanks to Hideki Yamane for the proposal (closes: #602222).

 -- gregor herrmann <gregoa@debian.org>  Sat, 27 Nov 2010 17:18:41 +0100

bacula (5.0.2-2) unstable; urgency=medium

  * Remove spurious creation of file_jpfid_idx on upgrade.  Closes: #591293.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 20 Aug 2010 14:58:19 -0500

bacula (5.0.2-1) unstable; urgency=medium

  * New upstream release.  Closes: #585729, #582484.
  * Drop bacula-sd-tools from Conflicts and Replaces line of bacula-sq-sqlite.
    Fixes RC bug.  Closes: #582422.
  * Update PostgreSQL recommendations to 8.4.
  * Add sqlite to deps for bacula-director-sqlite3.  Closes: #542825.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 21 Jun 2010 09:22:47 -0500

bacula (5.0.1-1) unstable; urgency=low

  * New upstream release.  Closes: #572166.
  * Revert dbcheck.8 to exact upstream version.
  * Drop Debian patches that add indices to databases.  This is per the
    new upstream statement saying "we strongly recommend to avoid the
    temptation to add new indexes.  In general, these will cause very
    significant performance problems in other areas."
  * Reverted other Debian-specific patches to database update scripts
    that are no longer included in our packages.
  * Fix for MySQL and PostgreSQL postinst to correctly put catalog backup
    name in bacula-dir.conf.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 03 Mar 2010 08:38:35 -0600

bacula (5.0.0-6) unstable; urgency=low

  * Generate default passwords at install time instead of at build time.
    Closes: #365097.  Patch originated in Ubuntu; modified for Debian.
    Merged to Debian master at 8381602cfbecaea0ca8559100020f878af81a237.
  * Call rm -rf /var/{log,lib}/bacula on purge.  This patch was part of
    Ubuntu's set merged above.
  * Modified Ubuntu's password patch to use
    /etc/bacula/common_default_passwords instead of debconf per Debian
    practice.
  * Added full LSB support to init scripts.  Patch originated in Ubuntu,
    and was merged with LSB status support already in Debian.
    Merged to Debian master at b3e2b4bc8dc1ad2a66b1e80c4cfa6176a15a062d.
  * Correct perms on new Sqlite3 database so it's owned by bacula:bacula.
  * Correct Sqlite3 postinst to handle paths of DBNAME correctly.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 01 Mar 2010 15:43:02 -0600

bacula (5.0.0-5) unstable; urgency=medium

  * Fix bashism in scripts/disk-changer.in.  Closes: #530049.
  * Correct MySQL index patch to avoid syntax error on install.
    Closes: #569535.
  * Corrected MySQL upgrade issue by adding a shell script to determine
    whether to remove Stripe column from JobMedia table.  This would have
    caused upgrade to crash for people that had upgraded all the way from
    the 1.x days.
    Closes: #569285.
  * Patch from Petr Salinger to disable ACLs on kfreebsd-* archs.
    This corrects a FTBFS and Closes: #570890.
  * Correct saving password to bacula-dir.conf on new install
    with MySQL or PostgreSQL flavor.  Closes: #538824.
  * Added make_catalog_backup.pl script to *-director debs.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 22 Feb 2010 13:47:19 -0600

bacula (5.0.0-4) unstable; urgency=low

  * Corrected fail to install bug: after removing /var/run from the package
    in 5.0.0-3, needed to also remove reference to it in
    bacula-common.postinst.  Closes: #569288, #569298, #569305, #569326.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Feb 2010 08:05:47 -0600

bacula (5.0.0-3) unstable; urgency=low

  * Added MySQL indices to match PostgreSQL ones.  Closes: #563899.
  * Copy slight spelling tweak to debian/copyright.
  * Remove bad patch that caused double-restart of init scripts.
    Closes: #569126.
  * Fixed errant DROP INDEX command in sqlite upgrade process.
  * Added --disable-conio to ./configure args to force use of readline.
    --with-readline=yes was already supplied.  This will enable
    new tab completion code.  Closes: #569154, #513393.
  * [lintian] Add ${misc:Depends} to all package Depends lines.
  * [lintian] Bump debhelper compat level to 6.
  * [lintian] Update build-dep on debhelper due to use of dh_lintian.
  * [lintian] No longer create /var/run in .dirs files.  init scripts are
    already making sure it's there.
  * [lintian] Remove now-useless bacula-director-common.preinst

 -- John Goerzen <jgoerzen@complete.org>  Wed, 10 Feb 2010 14:05:08 -0600

bacula (5.0.0-2) unstable; urgency=low

  * Now upload 5.0.x to unstable.
  * Now install mtx-changer.conf in bacula-sd.  Closes: #531471.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 09 Feb 2010 12:05:20 -0600

bacula (5.0.0-1) experimental; urgency=low

  * New upstream version.
  * Removed build-dep option libreadline5-dev, leaving only libreadline-dev
    option.  Closes: #553735.
  * Update bacula-console-qt section to utils to match override file.
  * Update standards-version to 3.8.3.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 08 Feb 2010 15:44:00 -0600

bacula (3.0.3-3) unstable; urgency=medium

  * Fixed situation where dbconfig-common bits weren't being called.  This
    prevented proper upgrades from lenny.  Closes: #516900, #542774.
  * Convert Sqlite3 to use dbconfig-common like PostgreSQL and MySQL directors
    have been for some time now.
  * This change means it now correctly upgrades from Sqlite2.
    Closes: #552413.
  * This change means that all Bacula debconf templates are finally removed.
    As a result, no need for translations remains.  Closing open translation
    bugs since there is no longer anything to translate in this package.
    Closes: #568469.
  * Clean up handling of database upgrade scripts in debian/rules to make it
    easier to handle new Bacula versions when they arrive.
  * Make sure to stop the director before upgrading its database.
  * Add lsb init.d status support.  Patch from Peter Eisentraut.
    Closes: #536573.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 08 Feb 2010 14:37:04 -0600

bacula (3.0.3-2) unstable; urgency=medium

  * Update build-dep from libmysqlclient15-dev to libmysqlclient-dev.
    Rebuild on a newer i386 sid machine; 3.0.3-1 will not migrate to testing
    due to dep on old libmysqlclient15 on i386.
  * Remove bacula-doc ln in debian/rules, correcting dpkg's idea that bacula
    has been completely removed on upgrade.
    Closes: #545473, #554197, #545313.
  * Add bpipe to built package.  Patch from Alex Bramley.  Closes: #549081.
  * Added comments about make_catalog_backup to README.Debian.  Closes: #452687.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 03 Feb 2010 21:37:56 -0600

bacula (3.0.3-1) unstable; urgency=medium

  * New upstream release.  Closes: #566646.
  * Update all PostgreSQL dependencies to 8.4 only.
    Closes: #559581.
  * Ack NMU.  Closes: #549982, #565877, #543179, #544594, #544610.
    Closes: #545729, #555450, #545408, #567660.
  * Improve manpages for: bcopy, bextract, bls, btraceback, bacula-fd,
    bacula-sd, bacula-dir, bconsole, dbcheck, btape, bscan.
    Patches by Lucas B. Cohen
    Closes: #499619.
  * Import upstream patch to add bsmtp manpage and update
    manpages.  Closes: #519573.
  * Add lintian overrides for rpath warning for /usr/lib/bacula.
  * Add explicit dep from bacula to bacula-common.  This dep is enforced
    by other deps already, but was causing a lintian warning.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 01 Feb 2010 11:33:48 -0600

bacula (3.0.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
  * German (Helge Kreutzmann).  Closes: #549982, #565877
  * Russian (Yuri Kozlov).  Closes: #543179
  * Italian (Luca Monducci).  Closes: #544594
  * French (Christian Perrier).  Closes: #544610
  * Swedish (Martin Bagge).  Closes: #545729
  * Spanish (Francisco Javier Cuadrado).  Closes: #555450
  * Japanese (Hideki Yamane (Debian-JP)).  Closes: #545408
  * Czech (Miroslav Kure).  Closes: #567660

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jan 2010 08:01:18 +0100

bacula (3.0.2-3) unstable; urgency=low

  * bacula-director-common doesn't require bacula-fd.  Patch from Sven
    Hartge.  Closes: #542829.
  * Use sed to tweak AUTOINCREMENT columns on sqlite2->sqlite3 upgrades.
    Closes: #542810.
  * Correct dep on "sqlite2" to "sqlite".  Closes: #543330.
  * Chown converted sqlite2->sqlite3 db to bacula:bacula.  Closes: #543345.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 24 Aug 2009 16:22:41 -0500

bacula (3.0.2-2) unstable; urgency=low

  * Fix syntax error in baclua-director-sqlite3 postinst.
    Closes: #542758.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 21 Aug 2009 08:10:17 -0500

bacula (3.0.2-1) unstable; urgency=low

  * New Upstream Version.  Supports IPv6.  Closes: #523852.
  * Install bat from the correct place.  Closes: #532646.
  * Add conflicts between bacula-common-* packages.  Closes: #529645.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 20 Aug 2009 14:26:44 -0500

bacula (3.0.1-2) experimental; urgency=low

  * Apply patches from Sami Haahtinen: correct behavior on systems
    where bash isn't the default, and move btape into SQL-specific
    packages because it now links with database code.
  * Fixing up links in bacula metapackage

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 May 2009 08:46:24 -0500

bacula (3.0.1-1) experimental; urgency=low

  * New Upstream Version

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 May 2009 08:49:31 -0500

bacula (3.0.0-1) experimental; urgency=low

  * New upstream version.  Now license-compatible with OpenSSL.
    Closes: #523479.
  * Upstream has deprecated Sqlite v2.  No longer build Sqlite v2.
  * Upstream has deprecated wx console.  No longer build wx console.
  * Document reload option in bacula-director init option.  Closes: #519563.
  * This version has mt-st smarts.  Closes: #495464.
  * Fixed init script stop order.  Closes: #502341.
  * Make /usr/share/doc/bacula point to bacula-common.
  * Update NEWS and README.Debian.  Closes: #492664.
  * Correct NEWS format to shut up lintian warnings.
  * Move bsmtp to bacula-common.  Closes: #476227.
  * Update postgresql-client deps.  Closes: #492670.
  * Remove ancient (pre-lenny) database upgrade scripts from .debs.
  * Added Spanish translation from Francisco Javier Cuadrado.  Closes: #502950.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 30 Apr 2009 16:52:53 -0500

bacula (2.4.4-1) unstable; urgency=low

  * New Upstream Version - a bugfix release.  Closes: #508816.
  * Build-conflicts on Python 2.4.  Closes: #496512.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 09 Jan 2009 14:07:27 -0600

bacula (2.4.3-1) unstable; urgency=low

  * New Upstream Version.  Closes: #503457.
  * Apply upstream 2.4.3-orphaned-jobs.patch.  Closes: #504688.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 06 Nov 2008 10:42:21 -0600

bacula (2.4.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Built against Python 2.5.  Closes: #496512.
  * Fix removal of original configuration file during upgrade of
    bacula-director-pgsql.  Closes: #496174.

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 05 Oct 2008 22:00:10 +0100

bacula (2.4.2-3) unstable; urgency=low

  * Apply upstream 2.4.2-verifydisk.patch
  * Apply upstream 2.4.2-verify.patch
  * Apply upstream 2.4.2-storename.patch
  * Apply upstream 2.4.2-null-vol.patch
  * Apply upstream 2.4.2-mig-message.patch
  * Apply upstream 2.4.2-inchanger.patch
  * Apply upstream 2.4.2-estimate-cmd.patch
  * Apply upstream 2.4.2-bat.patch

 -- John Goerzen <jgoerzen@complete.org>  Fri, 03 Oct 2008 10:17:01 -0500

bacula (2.4.2-2) unstable; urgency=low

  * Updated Swedish strings for debconf.  Closes: #491758.
  * Updated Japanese debconf translation from Hideki Yamane.
    Closes: #489942.
  * Added bacula-tray-monitor.1 manpage.  Closes: #461942.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 30 Aug 2008 08:57:07 -0500

bacula (2.4.2-1) unstable; urgency=high

  * Fix sed pattern in debian/rules to correctly remove
    'USE ${db_name};' from the MySQL command tables.  This prevented
    bacula-director-mysql from being installed properly and was thus RC.
    Closes: #441995, #489578.
  * While investigating the above problem, also discovered 'USE bacula;'
    statements in some upgrade tables.  This would cause the upgrade of
    bacula-director-mysql to fail for anyone that had their MySQL
    database named something other than "bacula".  Added pattern to fix this.
  * New upstream release is a bugfix release, and fixes these issues:
    + 2.4.1 included an unintentional debug statement whose purpose
      was to crash the storage daemon.  This was triggered during a restore
      at the end of a tape.  Fixed in 2.4.2 (upstream bug 1125).  When the
      SD is crashed, no backups or restores can be performed until it is
      restarted.
    + During a multi-tape restore, Bacula could incorrectly attempt
      to reread the same tape.  (Upstream bug 1126)
    + bcopy no longer reads too many records (upstream bug 1107)
    + Now sets a large timeout on MySQL databases to prevent trouble
      with the connection timining out before data gets inserted.
      Upstream bug 1034.
    + There are also some other minor bugfixes and win32 changes upstream
      in this release, which of course don't impact Debian.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 04 Aug 2008 09:22:36 -0500

bacula (2.4.1-1) unstable; urgency=high

  * New Upstream Version.
    + Fixes a bug where a tape may be incorrectly reused, destroying
      data.  Closes: #490996.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jul 2008 13:26:06 -0500

bacula (2.4.0-1) unstable; urgency=low

  [ John Goerzen ]
  * Removed debian/Makefile and debian/po/Makefile
  * Apply upstream 2.4.1-restore-wrong-mediatype.patch
  * bacula-fd: fix LSB init headers to not require bacula-sd.  Closes:
    #486256.

  [ Mark Hymers ]
  * Bump Standards-Version to 3.8.0.  No changes needed.
  * Imported bacula-2.4.0.  Closes: #487767.

  [ John Goerzen ]
  * Corrected GIT URL
  * Clarify the presence of BAT

 -- John Goerzen <jgoerzen@complete.org>  Mon, 30 Jun 2008 09:15:11 -0500

bacula (2.2.8-8) unstable; urgency=high

  * Apply upstream 2.2.8-jobmedia-fix.patch, high urgency.
  * Hard code an archive directory in call to configure. This prevents
    the default bacula sd file from having a syntax error.
    Closes: #472126

 -- John Goerzen <jgoerzen@complete.org>  Fri, 28 Mar 2008 10:01:41 -0500

bacula (2.2.8-7) unstable; urgency=low

  * Updated for compatibility with PostgreSQL 8.3.  Closes: #468880
  * Run debconf-updatepo
  * Update Brazilian Portuguese translation.  Patch from Eder L. Marques.
    Closes: #466703.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 25 Mar 2008 12:48:53 -0500

bacula (2.2.8-6) unstable; urgency=low

  * Change section to admin to match override file
  * Add Homepage: line to control per devref 6.2.4
  * More fixes to make Bacula binNMU safe.  Patch from Lior Kaplan.
    Closes: #472249.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #462210
  * [Debconf translation updates]
    + German. Closes: #462981
    + Galician. Closes: #462991
    + Portuguese. Closes: #463314
    + Finnish. Closes: #463954
    + Czech. Closes: #464427
    + French. Closes: #464838
    + Italian. Closes: #465068
    + Russian. Closes: #465079
    + Vietnamese. Closes: #465536

 -- John Goerzen <jgoerzen@complete.org>  Mon, 24 Mar 2008 10:42:44 -0500

bacula (2.2.8-5) unstable; urgency=low

  * Added Debian VCS fields to debian/control.
  * Applied 2.2.8-bacula-conf.patch from upstream
  * Applied upstream 2.2.8-jobmedia.patch
  * Applied upstream 2.2.8-pool-source.patch.  Closes: #464687.
  * Revert the patch to src/filed/backup.c introduced by Bastian in
    2.2.6-0.1 in preparation for applying upstream's new patch.
  * Apply upstream 2.2.8-strip-path.patch.  Closes: #452195.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 27 Feb 2008 05:44:58 -0600

bacula (2.2.8-4) unstable; urgency=low

  * Added Replaces: on bacula-common, so it overwrites btraceback
    in bacula-director-common for upgraders.  Closes: #463317.
  * Applied updated Portuguese debconf translation from
    Miguel Figueiredo.  Closes: #463314.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 31 Jan 2008 08:44:26 -0600

bacula (2.2.8-3) unstable; urgency=low

  * Simplified cleanup.  Closes: #453112.
  * Corrected debian/rules pattern for removing USE statements in
    MySQL scripts.  Closes: #441995.
  * Clarified the effect of not using SSL/TLS in README.Debian.
    Closes: #444732.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 30 Jan 2008 06:40:44 -0600

bacula (2.2.8-2) unstable; urgency=low

  * Fix binary-arch target so that bacula-common contains all
    of the necessary files.  Thanks to Mark Hymers for the patch.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 29 Jan 2008 21:14:55 -0600

bacula (2.2.8-1) unstable; urgency=low

  * New upstream release.  (2.2.8 prepared by John Goerzen)
  * Added build-dep on postgresql-server-dev-8.2.  Closes: #462502.
  * Moved btraceback and btraceback.gdb from bacula-director-common
    to bacula-common.  Closes: #452183.  This change meant that
    bacula-common changes from arch all to arch any.
  * Fixed debian/watch file.  Thanks to Raphael Geissert for the
    patch.  Closes: #449666.
  * New German debconf translation from Helge Kreutzmann.
    Closes: #462981.
  * New Galician debconf translation from Jacobo Tarrio.
    Closes: #462991.
  * New Japenese debconf translation from Hideki Yamane.
    Closes: #463092.
  * Init script updates to help improve /var/run on tmpfs support.
    Applied patch ac7bb3384082 from James Westby.  Closes: #452683.
  * Init script updates to have dependency information.
    Applied patch from Petter Reinholdtsen.  CLoses: #460252.
  * Make bacula-common Pre-Depends instead of Depends on adduser.
    Closes: #452684.
  * Added postgresql-8.2 to Recommends: for
    bacula-director-pgsql.  Closes: #459859.
  * Change recommends on kde|desktop-environment to suggests
    on kde|gnome-desktop-environment.  Closes: #459891.
  * Merged the following changes from Mark Hymer's Mercurial tree:
    + Upstream 2.2.6 and 2.2.7.  Closes: #458780.
    + Bump Build-Dep for libgtk2.0-dev to be >= 2.10 as the traymonitor
      code needs it.  Closes: #451499.
    + Update libmysqlclient-dev Build-Dep.  Closes: #439969.
    + Use correct path to mtx-changer.  Closes: #435627.
    + Install tray-monitor.conf file.  Closes: #413754.
    + Only alter permissions and ownership on files in /etc/bacula when we
      install them; don't clobber local changes.
    + Simplify scripts by removing support for upgrading from versions which
      are pre-sarge.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 29 Jan 2008 04:12:36 -0600

bacula (2.2.6-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    - Release stdout/stderr on daemonization. (closes: #441621)
  * Fix symlinks case for strippath in File Set. (closes: #452200)
  * Fix hostname replace in default config.

 -- Bastian Blank <waldi@debian.org>  Tue, 27 Nov 2007 13:59:29 +0000

bacula (2.2.5-1) unstable; urgency=medium

  * New upstream release.
    urgency=medium due to a number of major bugfixes
  * Updated menu section.  Closes: #444913.
  * Fix for binNMU safety.  Thanks to Lior Kaplan for the patch.
    Closes: #444694.
  * Added text to traymonitor description.  Closes: #442117.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Oct 2007 11:59:50 -0500

bacula (2.2.4-1) unstable; urgency=high

  * New upstream version.  Closes: #441849, #441855, #441878, #441990.
  * Documented lack of SSL/TLS in NEWS.Debian and README.Debian.
    Closes: #440034.
  * Enhance traymonitor description in control.  Closes: #442117.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 19 Sep 2007 09:17:02 -0500

bacula (2.2.0-1) unstable; urgency=low

  * Update debian/copyright from LICENSE.
  * Disable OpenSSL support due to licensing concerns
    See thread at
    http://lists.debian.org/debian-legal/2007/07/msg00144.html
  * Applied updated Vietnamese translation from Clytie Siddall.
    Closes: #427042.
  * Following changes prepared by Mark Hymers <mhy@debian.org>:
    * New upstream version.  Closes: #438806.
      * make_catalog_backup script now takes a host parameter.
        Closes: #419885.
    * Deal with moving wx-console.conf to bwx-console.conf
    * Add new bacula-console-qt package.
    * Update Standards-Version to 3.7.2.  No changes required.
    * Remove postgresql-dev Build-Dep.  Closes: #429963.
    * Make binNMU safe.  Based on patch from Lior Kaplan.  Closes: #430106.
    * Re-order postgresql-client Depends.  Closes: #419311.
    * Remove libwxgtk2.4-dev Build-Depends.  Closes: #425159.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 24 Aug 2007 02:13:34 -0500

bacula (2.0.3-4) unstable; urgency=low

  * Applied patches from upstream:
    2.0.3-ampm
    2.0.3-maxbyteslist
    2.0.3-maxwaittime
    2.0.3-schedule-next-hour
  * Rebuild fixes binNMU problems.  Closes: #419843.
  * Added README.Debian to bacula-common.  (It was already installed
    in bacula).  This should make it easier to find.  Closes: #418498.
  * Documented upgrade procedure in README.Debian.
  * Don't try to rebuild configs when there is no need to and
    when the source is unavailable.  Closes: #420197, #413145.
  * Fix typo in bacula-sd manpage.  Closes: #417571.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 23 Apr 2007 07:09:31 -0500

bacula (2.0.3-3) unstable; urgency=low

  * Make postrm scripts more versatile.  Closes: #416649.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 13 Apr 2007 03:13:05 -0500

bacula (2.0.3-2) unstable; urgency=low

  * Finally upload to unstable.
  * Added note to README.Debian about /etc/bacula/scripts
    and multiple versions of PostgreSQL.  Closes: #383357.
  * Added dep from bacula-director-common on mailx, and drop explicit
    deps on mail-transport-agent.  Closes: #386920.
  * Version 2.0.x now properly initializes supplemental groups.
    Closes: #391492.  (This should have been closed in 2.0.2-1 upload)
  * Properly remove password in sqlite/sqlite3 postinsts.
    Closes: #404866.
  * Consoles connect to localhost by default.  Closes: #404868, #407081.
  * Don't munge make_catalog_backup in bacula-dir.conf.  Closes: #407082.
  * Remove spurious dep from bacula-director-pgsql on sqlite3.
    Closes: #396921.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Mar 2007 10:40:14 -0500

bacula (2.0.3-1) experimental; urgency=low

  * New upstream release.
  * Local manpage bug should have been closed with 2.0.2-1.
    Closes: #367643.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  7 Mar 2007 03:40:37 -0600

bacula (2.0.2-1) experimental; urgency=low

  * New upstream release.  Closes: #408381.
  * Upstream has dropped Gnome console.  Closes: #391820.
  * Remove debian/manpages since manpages are now shipped upstream.
    Modify debian/*.manpages to reference these files.
  * debian/ support for automatically upgrading database to v10.
  * Updated German translation.  Closes: #406547.
  * Removed references to obsolete docs.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 23 Feb 2007 08:21:36 -0600

bacula (1.38.11-8) unstable; urgency=high

  * Rebuild to fix earlier binNMU.   Closes: #411652.
  * debian/control switched to suggested source:Version approach from
    debian-devel.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Feb 2007 12:58:55 -0600

bacula (1.38.11-7) unstable; urgency=low

  * ACK NMU.  Closes: #394605.
  * New Japanese translation thanks to Hideky Yamane.  Closes: #392638.
  * New Czech translation from Jakup Kasparec.  Closes: #392680.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 27 Oct 2006 08:39:46 -0500

bacula (1.38.11-6.1) unstable; urgency=low

  * Remove explicit build dependency on python2.3.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Oct 2006 05:47:35 +0200

bacula (1.38.11-6) unstable; urgency=high

  * Only call dbconfig-common if it exists in maintainer scripts.
    Closes: #388220, #388222.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 22 Sep 2006 10:06:22 -0500

bacula (1.38.11-5) unstable; urgency=high

  * Added missing shlibs:Depends for bacula-director-pgsql.  Closes: #384837.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 27 Aug 2006 18:48:24 -0500

bacula (1.38.11-4) unstable; urgency=high

  * Rebuild against newer libmysql15-dev.  Closes: #384433.
  * Build build-dep on libmysql15-dev.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 25 Aug 2006 13:52:24 -0500

bacula (1.38.11-3) unstable; urgency=high

  * Update postrm to new dbconfig-common method.  Closes: #383142.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 21 Aug 2006 09:19:49 -0500

bacula (1.38.11-2) unstable; urgency=low

  * Updated Brazilian Portuguese translation from Felipe August van de Wiel.
    Closes: #373992.
  * Updated Dutch translation from Kurt De Bree.  Closes: #375128.
  * New Portuguese translation from Rui Branco.  Closes: #380675.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 12 Aug 2006 09:40:36 -0500

bacula (1.38.11-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright with new upstream LICENSE
  * Add Suggests on bacula-doc

 -- John Goerzen <jgoerzen@complete.org>  Fri, 30 Jun 2006 08:02:36 -0500

bacula (1.38.10-2) unstable; urgency=low

  * Applied 1.38.10-scheduler.patch and 1.38.10-dvd-eof.patch from upstream.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Jun 2006 17:12:43 -0500

bacula (1.38.10-1) unstable; urgency=low

  * New upstream version.
  * New French translation from Thomas Huriaux.  Closes: #370476.
  * Update dep on dbconfig-common for new PostgreSQL date style config.
  * Daemons listen only on localhost by default.  Closes: #367105.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 12 Jun 2006 15:44:23 -0500

bacula (1.38.9-10) unstable; urgency=low

  * Update LICENSE with newer version from upstream.  Closes: #367970.
  * Applied patch from Kern Sibbald, Bacula author, to fix odd
    segfault in bacula-sd.  Closes: #367424.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 24 May 2006 22:25:03 -0500

bacula (1.38.9-9) unstable; urgency=low

  * Remove LD_ASSUME_KERNEL from bacula-director-common init script.
    Closes: #367537.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 16 May 2006 21:29:27 -0500

bacula (1.38.9-8) unstable; urgency=low

  * Now use GNU sed instead of ssed for inplace editing -- GNU sed
    now has this feature.  Closes: #367201.
  * Include examples/ directory in bacula-common.
  * Remove old bacula-doc files.
  * Create additional PostgreSQL indices (like we already do for MySQL)
  * Added dbconfig-common as a dep for bacula-director-mysql.
    Closes: #367420.
  * Added build-dep on libxt-dev.
  * Listed postgresql-8.1 and postgresql-8.0 as recommends for
    bacula-director-pgsql.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 15 May 2006 16:48:57 -0500

bacula (1.38.9-7) unstable; urgency=low

  * Made bacula-sd-* also Replace the old bacula-sd package.  Closes: #367075.
  * Update debian/copyright from LICENSE.
  * Remove bsmtp and btraceback manpages from debian/manpages.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 13 May 2006 11:09:03 -0500

bacula (1.38.9-6) unstable; urgency=low

  * Rewrote remaining templates to use better language.
    Closes: #236992, #313149.
  * Removed obsolete file debian/RATIONALE.
  * Added build-dependency on bc, which is used by autoconf/randpass.
  * Changed Recommends in bacula-sd to dep on python for the dvd-changer
    script.
  * Rewrite most of README.Debian.  Include information about
    users/security.  Closes: #304076.
  * Remove obsolete directory debian/_pending.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 13 May 2006 10:02:24 -0500

bacula (1.38.9-5) unstable; urgency=low

  * bacula-sd-*: added conflict on bacula-sd < 1.38.9, since some
    manpages have moved around since that version and conflicts
    could exist on upgrade.  Closes: #367075.
  * Removed accidentally-copied bacula-director-pgsql.preinst.
    Closes: #367066, #367069, #367070.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 13 May 2006 09:25:35 -0500

bacula (1.38.9-4) unstable; urgency=low

  * Sanitize multi-variant deps with virtual packages

  * Move bwild and bregex into bacula-director-common instead of all
    the bacula-director-* packages.  Change bacula-director-common
    from arch all to arch any.

  * Changed all URLs from html-manual to rel-manual, and forwarded
    this patch upstream.  Closes: #363151.

  * Fix bacula-director-sqlite postinst to properly handle the upgrade
    to 1.38.

  * Added missing scripts disk-changer and dvd-handler to bacula-sd.

  * Removed cruft in debian/additions and debian/patches.

  * Revert changes to:
    + grant_postgresql_privileges.in (no longer necessary)
    + gnome2-console/console.c (should respect upstream syntax choices)
    + update_mysql_tables_6_to_7, 7_to_8 (irrelevant)
    + update_sqlite_tables_7_to_8 (gratuitous)

  * Thanks to new support in dbconfig-common 1.8.13, the encoding for
    the PostgreSQL database can now be specified.  PostgreSQL encoding
    should therefore be fixed.

  * Removed obsolete per-arch build code from rules.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 12 May 2006 08:50:19 -0500

bacula (1.38.9-3) unstable; urgency=low

  * Clean up Sqlite3 postinst

  * Added some more upstream docs to bacula-common

  * Switched MySQL to use dbconfig-common.  Removed largs amounts of
    old code for MySQL support.  Closes: #338884, #357386.

  * No longer force removal of director conffiles on removal (only
    purge).

  * Removed obsolete templates for MySQL & PostgreSQL.

  * Removed obsolete install-flavors templates in debian/rules.

  * Install Sqlite and Sqlite3 scripts properly.

  * Removed obsolete translations (they were causing build errors now
    that the obsolete templates are gone)

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 May 2006 06:45:44 -0500

bacula (1.38.9-2) unstable; urgency=low

  * Sanitize dependencies in control -- make sure everything that
    needs to depends on bacula-common and use bacula-server and
    bacula-client.

  * Reverse direction of /var/log/bacula/log symlink to have main
    logfile written in /var/log/bacula.

  * Install upstream's default logrotate (with Debian's path).
    Previously, there was no logrotate installed by default.
    Closes: #309675.

  * Removed duplicate user-adding code from bacula-director-common.
    bacula-common already does this.

  * Removed spurious chown/chmod of /var/run/bacula from bacula-sd
    and bacula-fd.  bacula-common already does this.

  * Moved chmod/chown of /var/lib/bacula and /var/log/bacula
    from bacula-director-common to bacula-common.  These areas may be
    used by non-director packages as well.

  * Slight simplification of debian/rules

  * Switched to dbconfig-common for PostgreSQL.  Closes: #365096.

  * Removed large amounts of old code for PostgreSQL support.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 10 May 2006 22:17:29 -0500

bacula (1.38.9-1) unstable; urgency=low

  * New maintainer: John Goerzen <jgoerzen@complete.org>.
    Closes: #366625.
    Thanks to Jose Luis Tallon for initially packaging and maintaining
    Bacula in Debian.

  * Close bugs that have been fixed in my earlier NMUs.
    Closes: #322753, #335809, #343762, #326175, #309601, #305220, #329271.
    Closes: #326178, #312329, #303456, #339341, #339322, #281957, #331757.
    Closes: #358762, #357619, #337250, #337376, #346430, #314492, #303862.
    Closes: #339084.

  * Examine all diffs to upstream and revert ones that are not
    (any longer) necessary.

  * Revert diff to db.m4 -- Bacula is now aware of pg_config natively.

  * Removed commented-out patching/unpatching code in debian/rules

  * Removed obsolete patch files debian/patches/*.patches,
    debian/patches/*old.  These were only referenced by commented-out
    code in debian/rules.

  * Revert patch to dbd_find.c -- no apparent reason existed for
    the change.

  * Reverted hack to comment in update_mysql_tables_6_to_7

  * Reverted hack to configure checking on syntax

  * Renamed bacula-wxconsole to bacula-console-wx to maintain a
    sane naming scheme.  Closes: #326177.

  * Removed commented-out bacula-doc section from debian/control.

  * Build-depends on mtx.

  * Removed commented-out build-depends-indep for docs.

  * Rewrote debian/rules build system -- now uses suggested vim-like
    build system.  It calls configure several times and builds the
    package for each DB, rather than trying to hack the configure
    system to short-circuit that.

  * Use stock make_catalog_backup/delete_catalog_backup scripts,
    and move these into the per-db bacula-director-* packages.

  * Now build Sqlite3 packages (in addition to existing Sqlite v2
    packages) and make them the default.

  * Fix sqlite build-deps.  Previous versions build-dep'd on sqlite3
    but built using sqlite2.

  * No longer rename consoles in rules.

  * Update standards-version to 3.7.0.

  * Clean target removes config.log

  * Move bcopy and bscan manpages into proper bacula-sd-*sql* packages

  * Added missing debconf dependencies to the bacula director packages

  * Added missing adduser dependency to bacula-director-common

  * Fixed menu files for correct location of console files

 -- John Goerzen <jgoerzen@complete.org>  Wed, 10 May 2006 11:16:05 -0500

bacula (1.38.9-0.2) unstable; urgency=low

  * No longer rm -rf /var/lib/bacula in bacula-director-common postinst.
    Other Bacula packages may still be installed, and this breaks them.
  * Include bwild and bregex in bacula-director-* packages.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  9 May 2006 08:45:28 -0500

bacula (1.38.9-0.1) unstable; urgency=low

  * New upstream release: 1.38.9, which is mostly a bugfix release.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  8 May 2006 10:50:45 -0500

bacula (1.38.8-0.1) unstable; urgency=low

  * Non-maintainer upload by John Goerzen.
  * Add missing build-deps: libgnomeui-dev, libx11-dev.
  * Commented out code that attempts to patch pg_hba.conf.  This sort of
    thing should never be done without prompting the user.  It was broken
    for sid as written, and also failed to take into account the
    possibility of Unix domain sockets or having multiple versions of
    PostgreSQL on a machine.  Closes: #309601.
  * Build-Conflicts on python2.2-dev.  The configure script will use it
    by default, instead of python2.3-dev, if it's available.  This could
    lead to different Python versions being linked in on different archs.
  * Numerous fixes to clean target to make sure all sorts of otherwise-missed
    generated files get removed.
  * Removed spurious chown of /var/lib/bacula in
    bacula-director-common.preinst.  Having it there could lead to
    failure to install that package since that directory may not already
    exist.  postinst for that package was already doing the same chown
    anyway.
  * Removed erreneous chown attempt of /var/log/bacula/log in
    bacula-director-common.postinst.  This file is not installed
    by this package.  Closes: #303862.
  * Fixed distribution of bscan and bcopy such that they appear in their
    bacula-sd-* properly, and not in bacula-director or bacula-sd.
  * debian/rules contains bashisms and will not build if bash is not
    the default shell.  Explicitly set SHELL in debian/rules.

  * The below changes were made available by Jose Luis Tallon on SourceForge.

  * New upstream version (Closes: #339322)
    - fixes insecure temporary file creation (Closes: #329271)
    - fixes error in online help (Closes: #303456)
    - fixes segfault w/ fd (Closes: #346430)

  * debian/rules : fix typo w/in build process (Closes: #337250)
    - enable TLS functionality
    - added upstream's generic 'bacula' manpage

  * debian/control, dependency information
    - simplify dependencies; allow transition to cdebconf (Closes: #331757)
    - wrapped Build-Depends line
    - upgrade to building with wxWidgets2.6 (Closes: #326178)
    - upgrade to libmysqlclient15 (Closes: #358762)
    - bacula-doc is now another set of packages
    - split bacula-sd in 'flavors' (avoid static linking)

  * init process: auto-create /var/run/bacula on startup (Closes: #357619)

  * bacula-director-mysql:
    - fix db-autoconfig -- typo in grant sentence(improper quoting) (Closes: #312329)
    - upgrade to libmysqlclient15-dev (Closes: #343762)
    - Automatically add indexes to tables (Closes: #335809)

  * bacula-director-pgqsl:
    - purge debconf data on purge (Closes: #314492)
    - rebuild -- update postgresql-client dependency (Closes: #339341)

  * bacula-sd
    - Solves problem w/ Linux2.6 and no tapes on startup (Closes: #337376)
    - Better handling of auto-labels (Closes: #322753)

  * GUI
    - bacula-wxconsole: Link against GNOME2 libs only (Closes: #326178)
    - bacula-console-gnome: provide desktop entry (Closes: #326175)
    - bacula-console-gnome: fix help (Closes: #305220)
    - created bacula-traymonitor package (Closes: #281957)

  * Localization
    - se_SV (tack så mycket, Daniel) (Closes: #339084)

  * Christoph Haas added to "Uploaders"

 -- John Goerzen <jgoerzen@complete.org>  Thu, 27 Apr 2006 10:04:07 -0500

bacula (1.36.3-2) unstable; urgency=low

  * bacula-director-mysql: fix granting of privileges during postinst
    -- typo in grant sentence('eval' missing) (Closes: #312329)

  * bacula-director-pgsql: fix problems with unicode filenames
    -- CREATE DATABASE $CATALOG WITH ENCODING = 'SQL_ASCII' (Closes: #313227)

  * bacula-sd: Fix MTX support (Closes: #308803)

  * Localization enhancements:
    - JA (Closes: #310104)
    - FR (Closes: #309664)
    - CS (Closes: #312148)
    - VI (Closes: #313148)

  * Solved problem with bacula-sd's lib dependencies
    -- bcopy was being improperly compiled (Closes: #309919)

  * PostgreSQL transition completed: build-depend on libpq-dev instead

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 09 Jun 2005 02:33:13 +0200

bacula (1.36.3-1) unstable; urgency=low

  * New upstream version; several bugfixes (Closes: #306176)

  * bacula-director-mysql: link against libmysql12, in order
    to better support MySQL-4.1 installations which have not
    been properly configured (Closes: #305669)

  * bacula-director-mysql: Additional fixes for the solution of
    #303111 -- Add much more robustness to the autoconfig process

  * Included patch from bugs.bacula.org to have proper behaviour on backup
    attempts when FD is unreachable(Closes: #304531)

  * Documentation: fix bscan and bls's manpage(rewritten).

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Wed, 11 May 2005 18:56:13 +0200

bacula (1.36.2-2) unstable; urgency=low

  * bacula-director-pgsql: postinst enhancements by Jamie Ffolliott

  * bacula-fd: proper behaviour on restart (Closes: #293570)

  * bacula-director-common: fix to template for make_catalog_backup
    to force users to configure it properly (Closes: #299052)

  * bacula-common: remove dup'd btraceback (Closes: #301219)

  * Updated french translation (Closes: #303120)

  * bacula-director-mysql:
    - succeed also when password contains spaces (Closes: #303111)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 10 Apr 2005 19:21:25 +0200

bacula (1.36.2-1) unstable; urgency=low

  * New upstream version. Some fixes and enhancements (Closes: #297477)

  * bacula-director-pgsql: postinst fixed (Closes: #289838, #272191)
    - connect to db, create tables, create user & grant privs
    - use the configured root password
    - support remote pgsql hosts
    - patch the grant script to re-enable key indexes needed
    - set create_tables to false after successful creation, and
      reset variables configured by debconf if they result in an error
      so they are re-entered on the next install attempt.
    - fix the catalog upgrade process
    - save .pgpass with user/pass, for secure use by bacula scripts,
      package upgrades
    - write bacula-dir.conf with correct bacula user/pass/db, and
      correct the catalog backup command
    - enable auth to the local bacula db in pg_hba.conf.  Fixes a
      director startup error.
  * bacula-director-pgsql: config fixed
    - configure remote pgsql hosts
    - add reconfigure
    - add drop db option in reconfigure, to re-create the bacula db

  * bacula-director-pgsql: postrm completed
    - drop the db and user, & remove the .pgpass file

  * Many thanks to Jamie ffolliott <jamieff@inline.net>, the author of
    all of the PostgreSQL-related fixes. Long overdue, now in :-)

  * UpdateDB: fix typo in 'update_mysql_tables_7_to_8' (Closes: #288107)

  * bacula-director-mysql: fix typo in sql_cmds (Closes: #295823)

  * bacula-director-sqlite: fix db upgrade logic (Closes: #282416, #289209)
    (lines 62 & 71 of the postinst script)

  * bacula-fd: new version apparently solves crashes (Closes: #277273)

  * bacula-common: move symlink to proper package (Closes: #285659)

  * Patch by Nicolas Boichat to fix "cancel" in wx-console (Closes: #292517)

  * Updated Dutch translation (Closes: #281559)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Tue, 22 Mar 2005 13:31:34 +0100

bacula (1.36.1-1) unstable; urgency=low

  * New upstream version. Includes several minor improvements.

  * bacula-director-pgsql: really compile in support for PostgreSQL, after
    latest breakages (Closes: #274997, #282788)

  * bacula-director-sqlite: revised upgrade logic. Should work now --
    feedback requested (Closes: #282416)

  * Fix once and for all, broken variable assignment(hopefully)
    (Closes: 275284)

  * UpdateDB: robustness added to upstream scripts; should be able to better
    detect broken setups. Integrated upstream. Thanks, Kern!

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 3 Dec 2004 18:22:05 +0100

bacula (1.36.0-1) unstable; urgency=low

  * New upstream version (Closes: #278605)
    - hopefully solves problems where bacula-fd segfaulted
    - database format changed to v8. Add upgrading v6 -> v7 -> v8
      capabilities to postinst scripts. (Closes: #271892)
    - updatedb scripts patched, to avoid problem with PostgreSQL update.

  * bacula-director-common: added "reload" action (send SIGHUP)

  * bacula-fd:
    - to avoid problems with broken setups, postinst scripts now use
      '/bin/bash' instead of '/bin/sh' (Closes: #277127)

  * bacula-doc: added missing image (Closes: #279913)

  * UpdateDB: robustness added to upstream scripts; should be able to better
    detect broken setups.

  * Really close bug due to typo in 'config' (Closes: #275284)

  * Fix a typo in package description, by <florz@gmx.de> (Closes: #277220)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Wed, 17 Nov 2004 20:41:05 +0100

bacula (1.34.6-2) unstable; urgency=low

  * PgSQL "flavor":
    - another little build improvement (Closes: #274997)
    - typo in 'config', reported by PMHahn (Closes: #275284)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sat, 9 Oct 2004 16:04:05 +0200

bacula (1.34.6-2) unstable; urgency=high

  * Urgency high because the PostgreSQL "flavor" is not properly built.
    It is linked against the "internal" database, which is not functional.
    - The flag to enable PostgreSQL is called "HAVE_POSTGRESQL" instead of
      HAVE_PGSQL -- Reported by E Zanardi <ezanard@debian.org>
    - Newer libpq needs -lssl -lcrypto...

  * bacula-director-mysql: fixed bogus update procedure
    - succeed when catalog is already up-to-date (Closes: #271998)
    - work when admin user has a non-blank password.

  * bacula-director-pgsql: fixed problem, where --regardless of specified
    dbadmin-- root was used to connect to PgSQL (Closes: #272181)

  * bacula-sd: daemon leaves FD 0,1,2 open; Close them.
    Backported change to lib/daemon.c from 1.35.3 (Closes: #272083)

  * bacula-director-common:
    - link /usr/lib/bacula/smtp to bsmtp to preserve older configurations
      (Closes: #272880)
    - Integrated patch from Daniel Hermann, to ensure proper 'director'
    termination in init.d script (Closes: #271579)

  * Integrated some more of PMHahn build enhancements. Thanks!

  * Properly building the static bscan "flavors" brings in
    many build dependencies..ggrrrr
    ( libpq depends on libkrb5, libk5crypto, libcom_err, libcrypt,... )

  * Corrected some more typos
    - Missing cleanup after building "flavored" binaries
    - Missing 'btraceback' component

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Wed, 29 Sep 2004 16:04:05 +0200

bacula (1.34.6-1) unstable; urgency=high

  * New upstream version
  * Applied patch to avoid deadlocks in bacula-dir (urgency -> high)

  * Several cleanups from both Philipp M Hahn & Filip Van Raemdonck. I can't
    sufficiently express my gratitude here. Thanks!!
    - fixed upgrade support
    - build improvements
    - several minor fixups/reorganization. I hope i got it right this time..

  * Now bscan is a set of 3 statically-linked binaries, so that bacula-sd
    does not pull all three client libs. This had been pending for a long time...

  * Some more minor improvements
    - Logfiles are already in /var/log/bacula/ (Closes: #254245)
    - Fixed perms on /var/log/bacula/log (Closes: #252410)

  * Bacula's GNOME console was already linked against v2 libs
    since 1.34.5-1 (Closes: #264975)

  * MySQL flavor's postinst issues
    - Wrong ordering of db_get / assignment (Closes: #270329)
    - Split line changes meaning, other cleanups (Closes: #270197)

  * Updated debconf translations
    - FR (Closes: #269958)
    - JA, by Hideki Yamane <henrich@samba.gr.jp> (Closes: #270765)

  * Debconf-related fixes:
    - Updated versioned dependency w/Debconf: v1.4.30 seems to work.
    - Reset password's "seen" flag, so that it gets asked again
    - Moved root password question back to 'config' grr...

  * Several adjustments to descriptions; minor additions to Suggests:
    Matthew Hawkins has provided invaluable feedback here. Thanks!!!

  * The "fix all those typos" release.
    - Shin-young Yune: -director-pgsql.postinst
    - typos in -director-{my,pg}sql 's postinst scripts
    - typos in dh_link commands to get manpages installed

  * Misc fixes
    - /var/lib/bacula absent from -director-common (Closes: #270196)
    - /usr/share/bacula-common/defconfig dir was empty!
    - grant_pgsql_privileges missing from -director-common
    - adjusted dependencies so that meta-packages can be upgraded

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 02 Sep 2004 12:36:51 +0200

bacula (1.34.5-1) unstable; urgency=high

  * Urgency high, because:
    - TLS libraries from libc6-i686 no longer break bacula. (Closes: #250351)

  * New upstream version (Closes: #242725, #242735)
    - Supports PostgreSQL for the catalog (Closes: #252244)
    - Supports backup to disk.
    - Supports backing up ACLs (enabled in this package)
    - Several minor bugfixes since 1.34.2

  * Completely redone, much more efficient, build system. Contributed by
    Turbo Fredriksson <turbo@debian.org> and adapted by me: now only the
    "flavor-dependent"(cats,dird,tools) are rebuilt, instead of the full
    package. The scripts are also generated from 'rules' instead.

  * Several upstream enhancements/changes;
    + Database schema changes: `postinst' will try to upgrade MySQL & SQLite
    + Added PostgreSQL support for the catalog
    + Added support for disk-based backups, etc (see Documentation)

  * Security related changes
    - More secure password handling in configure/postinst (prompt during postinst,
    delete password immediately) -- breaks unattended installs unless one
    uses debconf seeding, sorry; Warnings with lintian/linda, grrr...
    - Added TCP wrappers(libwrap) support, after agreement with
    Steve Smith (Closes: #245626)
    - Ensured proper ownership and permissions for /var/lib/bacula, in order
    for the PostgreSQL port to run securely.

  * Upgrade to compiling/linking the console against Gnome2;
    renamed to bconsole-gnome to avoid namespace pollution (Closes: #246953)

  * Added wxWindows console version, bacula-wxconsole.

  * Moved bcopy,bls,bextract,bscan,btape manpages to sect 8 - lintian's advice.
    - Fix minor error in bconsole's displayed usage (Closes: #254427)

  * Include bscan.sqlite, bscan.mysql, bscan.pgsql in bacula-sd, under /usr/lib
  so that data recovery can be attempted with the supplied package in the event
  that the catalog gets damaged; As politely asked by Christof Lehmann, and
  later by Tilo Levante (Closes: #255059)

  * PostgreSQL port of the maintainer scripts, merged from contributions by
    Alvaro Hernandez Tortosa <aht@ahtech.net> and
    Philipp Matthias Hahn <pmhahn@debian.org>. Many thanks!.

  * Merged enhancements/patches by PMHahn: PgSQL support, docs,
    maint. scripts, debian/rules. I owe you one.

  * Added pt_BR translation, by <andrelop@debian.org> (Closes: #254110)

  * Misc minor bugfixes:
    - Restart breakage if not running (Closes: #252360)
    - Fixed wrong paths in scripts: added "flavor-independent" catalog backup
      script for bacula-sd (Closes: #250863)
    - Depend on exim4|mail-transport-agent (Closes: #255340)

  * Package sponsored by Filip Van Raemdonck <mechanix@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 29 Aug 2004 19:08:51 +0200

bacula (1.32f-5-3.1) unstable; urgency=high

  * NMU - acknowledged.

  * Changes from NMUer Filip Van Raedmdonck:
    - Build database specific catalog backup script and install it in the
      respective packages. This fixes tests and paths. (Closes: #250863)
    - Build GNOME 2 console. (Closes: #264975)
      Rename to gnome-bconsole to avoid namespace pollution. (Closes: #246953)
    - Retitle the menu entry to avoid conflict with the textual one, point it to
      the right config file location and run it with help of gksu.
    - Add Brazilian Portuguese debconf template translation. (Closes: #254110)
    - Depend on exim4 instead of exim. (Closes: #255340)

 -- Filip Van Raemdonck <mechanix@debian.org>  Wed, 11 Aug 2004 18:42:34 +0200

bacula (1.32f-5-3) unstable; urgency=low

  * Added *real* DE translation and some enhancements to the manual pages,
    submitted by Philipp Hahn <pmhahn@debian.org>. Thanks! (Closes: #246676)

  * Fix permissions problem in -director-sqlite's postinst (Closes: #246955)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun,  2 May 2004 23:58:06 +0100

bacula (1.32f-5-2) unstable; urgency=low

  * Create '/var/lib/bacula/bacula.db' in postinst (Closes: #243983)

  * Fix dependency goofup which made the 'bacula' meta-package uninstallable (Closes: #245259)

  * Changed architecture for 'bacula', 'bacula-client' and 'bacula-server'
    meta-packages from 'any' to 'all'. Thanks to Linda ;)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Wed, 21 Apr 2004 12:48:01 +0100

bacula (1.32f-5-1) unstable; urgency=low

  * Do not provide same file as conserver-client: moved /usr/bin/console
    to /usr/bin/bconsole. (Closes: #240282)

  * Added menu entries for 'bacula-console' & 'bacula-console-gnome'.

  * Added French translation of Bacula's templates (Closes: #238190)
  * Added Dutch translation of Bacula's templates (Closes: #241310)
    Thanks, guys!!!

  * Since Katie does not understand tham i am myself ;) when comparing my
    name in changelog[UTF-8] & control[7bit ascii], remove accentuated vowels.

  * Fix wrong substitutions in FD scripts: provide customized
    {start,stop}mysql scripts for Debian (Closes: #238630)

  * Tweak dependencies, so that one can install the "everything"
    meta-package(`bacula_x.yy-*.deb') with the MySQL version of the director
    [depend on the 'bacula-director' virtual package] (Closes: #240005)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Mon, 12 Apr 2004 22:03:19 +0200

bacula (1.32f-4-3) unstable; urgency=low

  * Fix typo in bacula-director-sqlite.postinst introduced in the previous
    upload. Cosmetic enhancement when reinstalling/upgrading: avoid error
    messages from SQLite.

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- JosÃ© Luis TallÃ³n <jltallon@adv-solutions.net>  Sun, 14 Mar 2004 01:18:31 +0100

bacula (1.32f-4-2) unstable; urgency=low

  * Add missing logic to bacula-director-sqlite's postinst so that
    configuration succeeds (Closes: #236126)

  * Fix compilation problem in Alpha platform (var.c file)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- JosÃ© Luis TallÃ³n <jltallon@adv-solutions.net>  Sat, 13 Mar 2004 21:39:33 +0100

bacula (1.32f-4-1) unstable; urgency=low

  * Do *not* depend on OpenSSL, since it is not really needed, as confirmed
    by upstream.

  * Increase robustness in bacula-director-mysql's postinst: succeed
    also when MySQL runs at localhost and network connectivity is disabled.

  * Increase robustness & polish some rough edges in the 'config' script:
    detect whether tables are created and act accordingly.

  * Make bacula-director-mysql *restart* bacula if there was a previous
    version installed, do *stop* it on remove.

  * Increase robustness of bacula-director-common's initscript : killall -15
    if start-stop-daemon --stop did not succeed.

  * Fix packaging bug in bacula-console introduced with prev. release changes.

  * Fix several typos/leftovers from package polishing lately: mostly
    forgetting to update vars to reflect changes in file location/name

  * New upstream version

  * RFP/ITP fulfilled (Closes: bug#188946)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

  * Moved /usr/sbin/console to /usr/sbin/bacula-console, and provided a
    wrapper script so that it gets called with appropriate arguments, as a
    convenience to users. Added corresponding manpage (linked to console.1)

  * Previous changes, before first upload to the Debian archive:

        - bacula (1.32f-3-1)	28 Jan 2004

         * Fixed a typo in bacula-director-mysql, which made postinst stomp on
           existing configuration file. Noticed by Dick Middleton.
           Robustness features in bacula-director-mysql.postinst.

         * Slightly better manpages.

         * Readied for first upload to Debian's archive.

        - bacula (1.32b-5)	24 Dec 2003

          * Completely revamped the bacula-director-mysql postinst, based
            upon suggestions/debugging by Frank Lenaerts.
            Most work was done during the DebConf-ES, with assistance from
            Alvaro Hernandez Tortosa <aht@ahtech.net>

          * Added "chmod 755" for scripts in the patches subdir to rules,
            fixing a sure FTBFS bug. Pointed by Frank Lenaerts
            <lenaerts.frank@pandora.be>

        - bacula (1.32b-4)	23 Nov 2003

          * Polished 'purge' behaviour[postrm scripts] -- do remove files.

          * Updated Build-Depends & debian/rules to better comply with policy,
            following advice from Roberto Lumbreras <rover@debian.org>

          * Strengthened permissions on /etc/bacula and FD/SD/Director config
            files, to avoid giving away passwords to local users and thus
            avoid attacks.  Problem reported/solution suggested by Frank
            Lenaerts.

          * Verified dependencies, loosened a bit so that backporting is easier.
            Suggested by Frank Lenaerts <lenaerts.frank@pandora.be>

        - bacula (1.32b-3)	10 Nov 2003

          * Fixed several little packaging bugs:
            - Dir & SD ports were mistakenly exchanged.
            - SD privileges were a little too low.
            - Gnome-Console's config file was missing.

        - bacula (1.32b-2)	6 Nov 2003

          * Polished Packaging a little bit

          * Fixed daemon stop bug, based on suggestions
            by Matthieu Racine <m.racine@free.fr>

          * bacula-common's postinst now adds needed entries to /etc/services

        - bacula (1.32b-1)	19 Oct 2003

          * Initial Packaging: 12 binary packages built

 -- JosÃ© Luis TallÃ³n <jltallon@adv-solutions.net>  Wed, 18 Feb 2004 00:04:11 +0100
